
_modShadowReg:

;FMclick.c,135 :: 		void modShadowReg(unsigned char reg, unsigned int value, unsigned char set_reset){
;FMclick.c,139 :: 		reg_pos = 12 + (reg << 1);                                                  // Calculate position of register which needs to be modified  (Reg.0x00 is in position 12)
	MOVF        FARG_modShadowReg_reg+0, 0 
	MOVWF       R0 
	RLCF        R0, 1 
	BCF         R0, 0 
	MOVF        R0, 0 
	ADDLW       12
	MOVWF       R5 
;FMclick.c,140 :: 		if (set_reset){                                                             // Sets the desired bits in register
	MOVF        FARG_modShadowReg_set_reset+0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_modShadowReg0
;FMclick.c,141 :: 		shadowReg[reg_pos] |= value>>8;                                         // Split value to higher
	MOVLW       _shadowReg+0
	MOVWF       R3 
	MOVLW       hi_addr(_shadowReg+0)
	MOVWF       R4 
	MOVF        R5, 0 
	ADDWF       R3, 1 
	BTFSC       STATUS+0, 0 
	INCF        R4, 1 
	MOVF        FARG_modShadowReg_value+1, 0 
	MOVWF       R0 
	CLRF        R1 
	MOVFF       R3, FSR0
	MOVFF       R4, FSR0H
	MOVF        POSTINC0+0, 0 
	IORWF       R0, 0 
	MOVWF       R0 
	MOVFF       R3, FSR1
	MOVFF       R4, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;FMclick.c,142 :: 		reg_pos++;
	INCF        R5, 1 
;FMclick.c,143 :: 		shadowReg[reg_pos] |=  (value&0xff);                                    // and lower byte
	MOVLW       _shadowReg+0
	MOVWF       R1 
	MOVLW       hi_addr(_shadowReg+0)
	MOVWF       R2 
	MOVF        R5, 0 
	ADDWF       R1, 1 
	BTFSC       STATUS+0, 0 
	INCF        R2, 1 
	MOVLW       255
	ANDWF       FARG_modShadowReg_value+0, 0 
	MOVWF       R0 
	MOVFF       R1, FSR0
	MOVFF       R2, FSR0H
	MOVF        POSTINC0+0, 0 
	IORWF       R0, 1 
	MOVFF       R1, FSR1
	MOVFF       R2, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;FMclick.c,144 :: 		}
	GOTO        L_modShadowReg1
L_modShadowReg0:
;FMclick.c,146 :: 		shadowReg[reg_pos] &=  ( ~ ( value>>8 ) );                              // Split value to higher
	MOVLW       _shadowReg+0
	MOVWF       R3 
	MOVLW       hi_addr(_shadowReg+0)
	MOVWF       R4 
	MOVF        R5, 0 
	ADDWF       R3, 1 
	BTFSC       STATUS+0, 0 
	INCF        R4, 1 
	MOVF        FARG_modShadowReg_value+1, 0 
	MOVWF       R0 
	CLRF        R1 
	COMF        R0, 1 
	MOVFF       R3, FSR0
	MOVFF       R4, FSR0H
	MOVF        POSTINC0+0, 0 
	ANDWF       R0, 1 
	MOVFF       R3, FSR1
	MOVFF       R4, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;FMclick.c,147 :: 		reg_pos++;
	INCF        R5, 1 
;FMclick.c,148 :: 		shadowReg[reg_pos] &=  ( ~ ( value &0xff) );                            // and lower byte
	MOVLW       _shadowReg+0
	MOVWF       R1 
	MOVLW       hi_addr(_shadowReg+0)
	MOVWF       R2 
	MOVF        R5, 0 
	ADDWF       R1, 1 
	BTFSC       STATUS+0, 0 
	INCF        R2, 1 
	MOVLW       255
	ANDWF       FARG_modShadowReg_value+0, 0 
	MOVWF       R0 
	COMF        R0, 1 
	MOVFF       R1, FSR0
	MOVFF       R2, FSR0H
	MOVF        POSTINC0+0, 0 
	ANDWF       R0, 1 
	MOVFF       R1, FSR1
	MOVFF       R2, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;FMclick.c,149 :: 		}
L_modShadowReg1:
;FMclick.c,150 :: 		}
L_end_modShadowReg:
	RETURN      0
; end of _modShadowReg

_FM_Write:

;FMclick.c,153 :: 		void FM_Write(unsigned char reg, unsigned int value, unsigned char set_reset){
;FMclick.c,157 :: 		wr_cnt = ( reg - 1 ) << 1;                                                  // Calculate how many bytes need to be written
	DECF        FARG_FM_Write_reg+0, 0 
	MOVWF       FM_Write_wr_cnt_L0+0 
	RLCF        FM_Write_wr_cnt_L0+0, 1 
	BCF         FM_Write_wr_cnt_L0+0, 0 
;FMclick.c,158 :: 		modShadowReg(reg, value, set_reset);                                        // Modify register bytes
	MOVF        FARG_FM_Write_reg+0, 0 
	MOVWF       FARG_modShadowReg_reg+0 
	MOVF        FARG_FM_Write_value+0, 0 
	MOVWF       FARG_modShadowReg_value+0 
	MOVF        FARG_FM_Write_value+1, 0 
	MOVWF       FARG_modShadowReg_value+1 
	MOVF        FARG_FM_Write_set_reset+0, 0 
	MOVWF       FARG_modShadowReg_set_reset+0 
	CALL        _modShadowReg+0, 0
;FMclick.c,159 :: 		I2C1_Start();
	CALL        _I2C1_Start+0, 0
;FMclick.c,160 :: 		I2C1_wr(Si4703_address);
	MOVLW       32
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;FMclick.c,161 :: 		for (ii = 16; ii <= (16 + wr_cnt);ii++){                                    // ex : pour registre 0x07, on crit 12 octets (addresse + data)  partir du registre 0x02 soit @shadowReg(16)
	MOVLW       16
	MOVWF       FM_Write_ii_L0+0 
L_FM_Write2:
	MOVF        FM_Write_wr_cnt_L0+0, 0 
	ADDLW       16
	MOVWF       R1 
	CLRF        R2 
	MOVLW       0
	ADDWFC      R2, 1 
	MOVLW       128
	XORWF       R2, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__FM_Write166
	MOVF        FM_Write_ii_L0+0, 0 
	SUBWF       R1, 0 
L__FM_Write166:
	BTFSS       STATUS+0, 0 
	GOTO        L_FM_Write3
;FMclick.c,162 :: 		I2C1_Wr(shadowReg[ii]);                                                 // Writing to register starts from 0x02 register
	MOVLW       _shadowReg+0
	MOVWF       FSR0 
	MOVLW       hi_addr(_shadowReg+0)
	MOVWF       FSR0H 
	MOVF        FM_Write_ii_L0+0, 0 
	ADDWF       FSR0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0H, 1 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;FMclick.c,161 :: 		for (ii = 16; ii <= (16 + wr_cnt);ii++){                                    // ex : pour registre 0x07, on crit 12 octets (addresse + data)  partir du registre 0x02 soit @shadowReg(16)
	INCF        FM_Write_ii_L0+0, 1 
;FMclick.c,163 :: 		}
	GOTO        L_FM_Write2
L_FM_Write3:
;FMclick.c,164 :: 		I2C1_stop();
	CALL        _I2C1_Stop+0, 0
;FMclick.c,165 :: 		}
L_end_FM_Write:
	RETURN      0
; end of _FM_Write

_FM_Read:

;FMclick.c,168 :: 		void FM_Read(unsigned char cmd){                                                // Reading of registers starts from 0x0A register
;FMclick.c,171 :: 		if(cmd == FM_all_Reg){                                                      // 0x0f to read all 16 registers of 16 bits each
	MOVF        FARG_FM_Read_cmd+0, 0 
	XORLW       15
	BTFSS       STATUS+0, 2 
	GOTO        L_FM_Read5
;FMclick.c,172 :: 		I2C1_Start();
	CALL        _I2C1_Start+0, 0
;FMclick.c,173 :: 		I2C1_wr(Si4703_address + 1 );                                           // write address 0x10 plus write bit gives 0x21
	MOVLW       33
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;FMclick.c,174 :: 		for(ii = 0; ii <= 30; ii++){
	CLRF        FM_Read_ii_L0+0 
L_FM_Read6:
	MOVF        FM_Read_ii_L0+0, 0 
	SUBLW       30
	BTFSS       STATUS+0, 0 
	GOTO        L_FM_Read7
;FMclick.c,175 :: 		shadowReg[ii] = I2C1_rd(1);                                         // read next byte, send ack
	MOVLW       _shadowReg+0
	MOVWF       FLOC__FM_Read+0 
	MOVLW       hi_addr(_shadowReg+0)
	MOVWF       FLOC__FM_Read+1 
	MOVF        FM_Read_ii_L0+0, 0 
	ADDWF       FLOC__FM_Read+0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FLOC__FM_Read+1, 1 
	MOVLW       1
	MOVWF       FARG_I2C1_Rd_ack+0 
	CALL        _I2C1_Rd+0, 0
	MOVFF       FLOC__FM_Read+0, FSR1
	MOVFF       FLOC__FM_Read+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;FMclick.c,174 :: 		for(ii = 0; ii <= 30; ii++){
	INCF        FM_Read_ii_L0+0, 1 
;FMclick.c,176 :: 		}
	GOTO        L_FM_Read6
L_FM_Read7:
;FMclick.c,177 :: 		shadowReg[31] = I2C1_rd(0);                                             // send  nack  on last data byte only
	CLRF        FARG_I2C1_Rd_ack+0 
	CALL        _I2C1_Rd+0, 0
	MOVF        R0, 0 
	MOVWF       _shadowReg+31 
;FMclick.c,178 :: 		I2C1_Stop();
	CALL        _I2C1_Stop+0, 0
;FMclick.c,179 :: 		}
L_FM_Read5:
;FMclick.c,181 :: 		if(cmd == FM_0a0b_Reg){                                                     // Read only STATUS and READCHAN registers  (except it seems to get regs 0 and 1 - not a and b
	MOVF        FARG_FM_Read_cmd+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L_FM_Read9
;FMclick.c,182 :: 		I2C1_Start();
	CALL        _I2C1_Start+0, 0
;FMclick.c,183 :: 		I2C1_wr(Si4703_address +1 );
	MOVLW       33
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;FMclick.c,184 :: 		for( ii = 0; ii <= 2; ii++){
	CLRF        FM_Read_ii_L0+0 
L_FM_Read10:
	MOVF        FM_Read_ii_L0+0, 0 
	SUBLW       2
	BTFSS       STATUS+0, 0 
	GOTO        L_FM_Read11
;FMclick.c,185 :: 		shadowReg[ii] = I2C1_rd(1);
	MOVLW       _shadowReg+0
	MOVWF       FLOC__FM_Read+0 
	MOVLW       hi_addr(_shadowReg+0)
	MOVWF       FLOC__FM_Read+1 
	MOVF        FM_Read_ii_L0+0, 0 
	ADDWF       FLOC__FM_Read+0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FLOC__FM_Read+1, 1 
	MOVLW       1
	MOVWF       FARG_I2C1_Rd_ack+0 
	CALL        _I2C1_Rd+0, 0
	MOVFF       FLOC__FM_Read+0, FSR1
	MOVFF       FLOC__FM_Read+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;FMclick.c,184 :: 		for( ii = 0; ii <= 2; ii++){
	INCF        FM_Read_ii_L0+0, 1 
;FMclick.c,186 :: 		}
	GOTO        L_FM_Read10
L_FM_Read11:
;FMclick.c,187 :: 		shadowReg[3] = I2C1_rd(0);
	CLRF        FARG_I2C1_Rd_ack+0 
	CALL        _I2C1_Rd+0, 0
	MOVF        R0, 0 
	MOVWF       _shadowReg+3 
;FMclick.c,188 :: 		I2C1_Stop();
	CALL        _I2C1_Stop+0, 0
;FMclick.c,189 :: 		}
L_FM_Read9:
;FMclick.c,190 :: 		}
L_end_FM_Read:
	RETURN      0
; end of _FM_Read

_SetVolume:

;FMclick.c,193 :: 		void SetVolume(unsigned char vol){
;FMclick.c,194 :: 		if ( ( vol >= 0 ) && ( vol <= 16) ) {
	MOVLW       0
	SUBWF       FARG_SetVolume_vol+0, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L_SetVolume15
	MOVF        FARG_SetVolume_vol+0, 0 
	SUBLW       16
	BTFSS       STATUS+0, 0 
	GOTO        L_SetVolume15
L__SetVolume159:
;FMclick.c,195 :: 		vol = vol & 0x0F;
	MOVLW       15
	ANDWF       FARG_SetVolume_vol+0, 1 
;FMclick.c,196 :: 		modShadowReg(0x05, 0x000F, 0);
	MOVLW       5
	MOVWF       FARG_modShadowReg_reg+0 
	MOVLW       15
	MOVWF       FARG_modShadowReg_value+0 
	MOVLW       0
	MOVWF       FARG_modShadowReg_value+1 
	CLRF        FARG_modShadowReg_set_reset+0 
	CALL        _modShadowReg+0, 0
;FMclick.c,197 :: 		FM_Write(0x05, vol, 1);                                                 // Write Volume value to SYSCONFIG2 register
	MOVLW       5
	MOVWF       FARG_FM_Write_reg+0 
	MOVF        FARG_SetVolume_vol+0, 0 
	MOVWF       FARG_FM_Write_value+0 
	MOVLW       0
	MOVWF       FARG_FM_Write_value+1 
	MOVLW       1
	MOVWF       FARG_FM_Write_set_reset+0 
	CALL        _FM_Write+0, 0
;FMclick.c,198 :: 		delay_ms(5);
	MOVLW       13
	MOVWF       R12, 0
	MOVLW       251
	MOVWF       R13, 0
L_SetVolume16:
	DECFSZ      R13, 1, 1
	BRA         L_SetVolume16
	DECFSZ      R12, 1, 1
	BRA         L_SetVolume16
	NOP
	NOP
;FMclick.c,199 :: 		}
L_SetVolume15:
;FMclick.c,200 :: 		}
L_end_SetVolume:
	RETURN      0
; end of _SetVolume

_Refresh_Freq_Rds_Rssi:

;FMclick.c,203 :: 		void  Refresh_Freq_Rds_Rssi(){
;FMclick.c,206 :: 		FM_Read(FM_0a0b_Reg);
	MOVLW       2
	MOVWF       FARG_FM_Read_cmd+0 
	CALL        _FM_Read+0, 0
;FMclick.c,207 :: 		freq = shadowReg[3] + 875;                                                  // Begining of Europe band 87.5 Mhz = 875 * 100kHz
	MOVF        _shadowReg+3, 0 
	MOVWF       _freq+0 
	MOVLW       0
	MOVWF       _freq+1 
	MOVLW       107
	ADDWF       _freq+0, 1 
	MOVLW       3
	ADDWFC      _freq+1, 1 
;FMclick.c,208 :: 		rssi = shadowReg[1];
	MOVF        _shadowReg+1, 0 
	MOVWF       _Rssi+0 
;FMclick.c,209 :: 		stereo = shadowReg[0] & 0b00000001;                                         // reg10 bit 0 set for stereo
	MOVLW       1
	ANDWF       _shadowReg+0, 0 
	MOVWF       _stereo+0 
;FMclick.c,210 :: 		RDS_ok = (shadowReg[0] & 0b10000000) >> 7;                                  // reg 10 bit 15 is RDS ready bit
	MOVLW       0
	BTFSC       _shadowReg+0, 7 
	MOVLW       1
	MOVWF       _RDS_ok+0 
;FMclick.c,212 :: 		block_errB = (shadowReg[2] & 0b11000000 ) >> 6;                             // reg 11 bits 15, 14
	MOVLW       192
	ANDWF       _shadowReg+2, 0 
	MOVWF       _block_err_sum+0 
	MOVLW       6
	MOVWF       R0 
	MOVF        R0, 0 
L__Refresh_Freq_Rds_Rssi170:
	BZ          L__Refresh_Freq_Rds_Rssi171
	RRCF        _block_err_sum+0, 1 
	BCF         _block_err_sum+0, 7 
	ADDLW       255
	GOTO        L__Refresh_Freq_Rds_Rssi170
L__Refresh_Freq_Rds_Rssi171:
;FMclick.c,213 :: 		block_errC = (shadowReg[2] & 0b00110000 ) >> 4;                             // reg 11 bits 13, 12
	MOVLW       48
	ANDWF       _shadowReg+2, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	MOVWF       R3 
	RRCF        R3, 1 
	BCF         R3, 7 
	RRCF        R3, 1 
	BCF         R3, 7 
	RRCF        R3, 1 
	BCF         R3, 7 
	RRCF        R3, 1 
	BCF         R3, 7 
;FMclick.c,214 :: 		block_errD = (shadowReg[2] & 0b00001100 ) >> 2;                             // reg 11 bits 11, 10
	MOVLW       12
	ANDWF       _shadowReg+2, 0 
	MOVWF       R2 
	MOVF        R2, 0 
	MOVWF       R0 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
;FMclick.c,215 :: 		block_err_name = block_errD;                                                // errrors in radio station name
	MOVF        R0, 0 
	MOVWF       _block_err_name+0 
	MOVLW       0
	MOVWF       _block_err_name+1 
;FMclick.c,216 :: 		block_err_sum = block_errB + block_errC + block_errD;                       // sum up all block errors into one variable
	MOVF        R3, 0 
	ADDWF       _block_err_sum+0, 1 
	MOVF        R0, 0 
	ADDWF       _block_err_sum+0, 1 
;FMclick.c,217 :: 		country_code = shadowReg[0] >> 4;                                           // block 0 bits 15 to 12 contain country code
	MOVF        _shadowReg+0, 0 
	MOVWF       _country_code+0 
	RRCF        _country_code+0, 1 
	BCF         _country_code+0, 7 
	RRCF        _country_code+0, 1 
	BCF         _country_code+0, 7 
	RRCF        _country_code+0, 1 
	BCF         _country_code+0, 7 
	RRCF        _country_code+0, 1 
	BCF         _country_code+0, 7 
;FMclick.c,218 :: 		coverage = shadowReg[0] & 0x0f;                                             // block 0 bits 11 to 8 contain coverage number
	MOVLW       15
	ANDWF       _shadowReg+0, 0 
	MOVWF       _coverage+0 
;FMclick.c,219 :: 		program_ref = shadowReg[1];                                                 // b;ock 0 bits 7 to 0 contain program reference number
	MOVF        _shadowReg+1, 0 
	MOVWF       _program_ref+0 
;FMclick.c,220 :: 		}
L_end_Refresh_Freq_Rds_Rssi:
	RETURN      0
; end of _Refresh_Freq_Rds_Rssi

_display_fm:

;FMclick.c,223 :: 		void display_fm(){
;FMclick.c,224 :: 		if(stereo){                                                                 // test stereo flag
	MOVF        _stereo+0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_display_fm17
;FMclick.c,225 :: 		lcd_out(1,16,"ST");
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       16
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr1_FMclick+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr1_FMclick+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;FMclick.c,226 :: 		}                                                                           // Affiche indicateur st/mono
	GOTO        L_display_fm18
L_display_fm17:
;FMclick.c,228 :: 		lcd_out(1,16,"  ");
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       16
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr2_FMclick+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr2_FMclick+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;FMclick.c,229 :: 		}
L_display_fm18:
;FMclick.c,230 :: 		wordtostr(freq,text5);                                                      // covert binary to ASCII
	MOVF        _freq+0, 0 
	MOVWF       FARG_WordToStr_input+0 
	MOVF        _freq+1, 0 
	MOVWF       FARG_WordToStr_input+1 
	MOVLW       _text5+0
	MOVWF       FARG_WordToStr_output+0 
	MOVLW       hi_addr(_text5+0)
	MOVWF       FARG_WordToStr_output+1 
	CALL        _WordToStr+0, 0
;FMclick.c,231 :: 		lcd_chr(1,14,text5[4]);
	MOVLW       1
	MOVWF       FARG_Lcd_Chr_row+0 
	MOVLW       14
	MOVWF       FARG_Lcd_Chr_column+0 
	MOVF        _text5+4, 0 
	MOVWF       FARG_Lcd_Chr_out_char+0 
	CALL        _Lcd_Chr+0, 0
;FMclick.c,232 :: 		lcd_chr(1,13,'.');
	MOVLW       1
	MOVWF       FARG_Lcd_Chr_row+0 
	MOVLW       13
	MOVWF       FARG_Lcd_Chr_column+0 
	MOVLW       46
	MOVWF       FARG_Lcd_Chr_out_char+0 
	CALL        _Lcd_Chr+0, 0
;FMclick.c,233 :: 		lcd_chr(1,12,text5[3]);
	MOVLW       1
	MOVWF       FARG_Lcd_Chr_row+0 
	MOVLW       12
	MOVWF       FARG_Lcd_Chr_column+0 
	MOVF        _text5+3, 0 
	MOVWF       FARG_Lcd_Chr_out_char+0 
	CALL        _Lcd_Chr+0, 0
;FMclick.c,234 :: 		lcd_chr(1,11,text5[2]);
	MOVLW       1
	MOVWF       FARG_Lcd_Chr_row+0 
	MOVLW       11
	MOVWF       FARG_Lcd_Chr_column+0 
	MOVF        _text5+2, 0 
	MOVWF       FARG_Lcd_Chr_out_char+0 
	CALL        _Lcd_Chr+0, 0
;FMclick.c,235 :: 		lcd_chr(1,10,text5[1]);
	MOVLW       1
	MOVWF       FARG_Lcd_Chr_row+0 
	MOVLW       10
	MOVWF       FARG_Lcd_Chr_column+0 
	MOVF        _text5+1, 0 
	MOVWF       FARG_Lcd_Chr_out_char+0 
	CALL        _Lcd_Chr+0, 0
;FMclick.c,236 :: 		lcd_out(4,1,"Rssi: ");                                                      // Display  Rssi (signal strength
	MOVLW       4
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr3_FMclick+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr3_FMclick+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;FMclick.c,237 :: 		Lcd_Chr(4,7,(rssi / 10) + 48);
	MOVLW       4
	MOVWF       FARG_Lcd_Chr_row+0 
	MOVLW       7
	MOVWF       FARG_Lcd_Chr_column+0 
	MOVLW       10
	MOVWF       R4 
	MOVF        _Rssi+0, 0 
	MOVWF       R0 
	CALL        _Div_8X8_U+0, 0
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       FARG_Lcd_Chr_out_char+0 
	CALL        _Lcd_Chr+0, 0
;FMclick.c,238 :: 		Lcd_Chr(4,8,(rssi % 10) + 48);
	MOVLW       4
	MOVWF       FARG_Lcd_Chr_row+0 
	MOVLW       8
	MOVWF       FARG_Lcd_Chr_column+0 
	MOVLW       10
	MOVWF       R4 
	MOVF        _Rssi+0, 0 
	MOVWF       R0 
	CALL        _Div_8X8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       FARG_Lcd_Chr_out_char+0 
	CALL        _Lcd_Chr+0, 0
;FMclick.c,239 :: 		lcd_out(4,14,"Vol:");                                                       // Display Volume
	MOVLW       4
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       14
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr4_FMclick+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr4_FMclick+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;FMclick.c,240 :: 		Lcd_Chr(4,19,(volume / 10) + 48);
	MOVLW       4
	MOVWF       FARG_Lcd_Chr_row+0 
	MOVLW       19
	MOVWF       FARG_Lcd_Chr_column+0 
	MOVLW       10
	MOVWF       R4 
	MOVF        _volume+0, 0 
	MOVWF       R0 
	CALL        _Div_8X8_U+0, 0
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       FARG_Lcd_Chr_out_char+0 
	CALL        _Lcd_Chr+0, 0
;FMclick.c,241 :: 		Lcd_Chr(4,20,(volume % 10) + 48);
	MOVLW       4
	MOVWF       FARG_Lcd_Chr_row+0 
	MOVLW       20
	MOVWF       FARG_Lcd_Chr_column+0 
	MOVLW       10
	MOVWF       R4 
	MOVF        _volume+0, 0 
	MOVWF       R0 
	CALL        _Div_8X8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       FARG_Lcd_Chr_out_char+0 
	CALL        _Lcd_Chr+0, 0
;FMclick.c,243 :: 		if(SelectD == 0){                                                           // selection 0 is for Rssi and vol info on LCD line 2
	MOVF        _SelectD+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_display_fm19
;FMclick.c,244 :: 		Lcd_Chr(2,7,(rssi / 10) + 48);
	MOVLW       2
	MOVWF       FARG_Lcd_Chr_row+0 
	MOVLW       7
	MOVWF       FARG_Lcd_Chr_column+0 
	MOVLW       10
	MOVWF       R4 
	MOVF        _Rssi+0, 0 
	MOVWF       R0 
	CALL        _Div_8X8_U+0, 0
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       FARG_Lcd_Chr_out_char+0 
	CALL        _Lcd_Chr+0, 0
;FMclick.c,245 :: 		Lcd_Chr(2,8,(rssi % 10) + 48);
	MOVLW       2
	MOVWF       FARG_Lcd_Chr_row+0 
	MOVLW       8
	MOVWF       FARG_Lcd_Chr_column+0 
	MOVLW       10
	MOVWF       R4 
	MOVF        _Rssi+0, 0 
	MOVWF       R0 
	CALL        _Div_8X8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       FARG_Lcd_Chr_out_char+0 
	CALL        _Lcd_Chr+0, 0
;FMclick.c,246 :: 		Lcd_Chr(2,15,(volume / 10) + 48);
	MOVLW       2
	MOVWF       FARG_Lcd_Chr_row+0 
	MOVLW       15
	MOVWF       FARG_Lcd_Chr_column+0 
	MOVLW       10
	MOVWF       R4 
	MOVF        _volume+0, 0 
	MOVWF       R0 
	CALL        _Div_8X8_U+0, 0
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       FARG_Lcd_Chr_out_char+0 
	CALL        _Lcd_Chr+0, 0
;FMclick.c,247 :: 		Lcd_Chr(2,16,(volume % 10) + 48);
	MOVLW       2
	MOVWF       FARG_Lcd_Chr_row+0 
	MOVLW       16
	MOVWF       FARG_Lcd_Chr_column+0 
	MOVLW       10
	MOVWF       R4 
	MOVF        _volume+0, 0 
	MOVWF       R0 
	CALL        _Div_8X8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       FARG_Lcd_Chr_out_char+0 
	CALL        _Lcd_Chr+0, 0
;FMclick.c,248 :: 		}
L_display_fm19:
;FMclick.c,249 :: 		if(SelectD == 2){                                                           // selection 2 is for program type info on LCD line 2
	MOVF        _SelectD+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L_display_fm20
;FMclick.c,250 :: 		lcd_out(2,1,"Pty ");
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr5_FMclick+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr5_FMclick+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;FMclick.c,251 :: 		Lcd_Chr(2,5,(rds_pty / 10) + 48);
	MOVLW       2
	MOVWF       FARG_Lcd_Chr_row+0 
	MOVLW       5
	MOVWF       FARG_Lcd_Chr_column+0 
	MOVLW       10
	MOVWF       R4 
	MOVF        _rds_pty+0, 0 
	MOVWF       R0 
	CALL        _Div_8X8_U+0, 0
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       FARG_Lcd_Chr_out_char+0 
	CALL        _Lcd_Chr+0, 0
;FMclick.c,252 :: 		Lcd_Chr(2,6,(rds_pty % 10) + 48);
	MOVLW       2
	MOVWF       FARG_Lcd_Chr_row+0 
	MOVLW       6
	MOVWF       FARG_Lcd_Chr_column+0 
	MOVLW       10
	MOVWF       R4 
	MOVF        _rds_pty+0, 0 
	MOVWF       R0 
	CALL        _Div_8X8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       FARG_Lcd_Chr_out_char+0 
	CALL        _Lcd_Chr+0, 0
;FMclick.c,253 :: 		switch(rds_pty){                                                       // European program type numbering - not all decodes given to save memory
	GOTO        L_display_fm21
;FMclick.c,254 :: 		case 1:
L_display_fm23:
;FMclick.c,255 :: 		Lcd_Out(2, 8, "news     ");
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       8
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr6_FMclick+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr6_FMclick+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;FMclick.c,256 :: 		break;
	GOTO        L_display_fm22
;FMclick.c,257 :: 		case 5:
L_display_fm24:
;FMclick.c,258 :: 		Lcd_Out(2, 8, "education");
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       8
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr7_FMclick+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr7_FMclick+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;FMclick.c,259 :: 		break;
	GOTO        L_display_fm22
;FMclick.c,260 :: 		case 6:
L_display_fm25:
;FMclick.c,261 :: 		Lcd_Out(2, 8, "drama    ");
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       8
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr8_FMclick+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr8_FMclick+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;FMclick.c,262 :: 		break;
	GOTO        L_display_fm22
;FMclick.c,263 :: 		case 7:
L_display_fm26:
;FMclick.c,264 :: 		Lcd_Out(2, 8, "culture  ");
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       8
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr9_FMclick+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr9_FMclick+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;FMclick.c,265 :: 		break;
	GOTO        L_display_fm22
;FMclick.c,266 :: 		case 8:
L_display_fm27:
;FMclick.c,267 :: 		Lcd_Out(2, 8, "science  ");
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       8
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr10_FMclick+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr10_FMclick+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;FMclick.c,268 :: 		break;
	GOTO        L_display_fm22
;FMclick.c,269 :: 		case 9:
L_display_fm28:
;FMclick.c,270 :: 		Lcd_Out(2, 8, "varied   ");
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       8
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr11_FMclick+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr11_FMclick+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;FMclick.c,271 :: 		break;
	GOTO        L_display_fm22
;FMclick.c,272 :: 		case 10:
L_display_fm29:
;FMclick.c,273 :: 		Lcd_Out(2, 8, "pop music");
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       8
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr12_FMclick+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr12_FMclick+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;FMclick.c,274 :: 		break;
	GOTO        L_display_fm22
;FMclick.c,275 :: 		case 11:
L_display_fm30:
;FMclick.c,276 :: 		Lcd_Out(2, 8, "rock     ");
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       8
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr13_FMclick+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr13_FMclick+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;FMclick.c,277 :: 		break;
	GOTO        L_display_fm22
;FMclick.c,278 :: 		case 14:
L_display_fm31:
;FMclick.c,279 :: 		Lcd_Out(2, 8, "classical");
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       8
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr14_FMclick+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr14_FMclick+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;FMclick.c,280 :: 		break;
	GOTO        L_display_fm22
;FMclick.c,281 :: 		default:
L_display_fm32:
;FMclick.c,282 :: 		Lcd_Out(2, 8, "         ");
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       8
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr15_FMclick+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr15_FMclick+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;FMclick.c,283 :: 		break;
	GOTO        L_display_fm22
;FMclick.c,284 :: 		}
L_display_fm21:
	MOVF        _rds_pty+0, 0 
	XORLW       1
	BTFSC       STATUS+0, 2 
	GOTO        L_display_fm23
	MOVF        _rds_pty+0, 0 
	XORLW       5
	BTFSC       STATUS+0, 2 
	GOTO        L_display_fm24
	MOVF        _rds_pty+0, 0 
	XORLW       6
	BTFSC       STATUS+0, 2 
	GOTO        L_display_fm25
	MOVF        _rds_pty+0, 0 
	XORLW       7
	BTFSC       STATUS+0, 2 
	GOTO        L_display_fm26
	MOVF        _rds_pty+0, 0 
	XORLW       8
	BTFSC       STATUS+0, 2 
	GOTO        L_display_fm27
	MOVF        _rds_pty+0, 0 
	XORLW       9
	BTFSC       STATUS+0, 2 
	GOTO        L_display_fm28
	MOVF        _rds_pty+0, 0 
	XORLW       10
	BTFSC       STATUS+0, 2 
	GOTO        L_display_fm29
	MOVF        _rds_pty+0, 0 
	XORLW       11
	BTFSC       STATUS+0, 2 
	GOTO        L_display_fm30
	MOVF        _rds_pty+0, 0 
	XORLW       14
	BTFSC       STATUS+0, 2 
	GOTO        L_display_fm31
	GOTO        L_display_fm32
L_display_fm22:
;FMclick.c,285 :: 		}
L_display_fm20:
;FMclick.c,286 :: 		if(SelectD == 4){                                                           // selection 4 is for group type info on LCD line 2
	MOVF        _SelectD+0, 0 
	XORLW       4
	BTFSS       STATUS+0, 2 
	GOTO        L_display_fm33
;FMclick.c,287 :: 		ByteToStr(country_code,debug_text);
	MOVF        _country_code+0, 0 
	MOVWF       FARG_ByteToStr_input+0 
	MOVLW       _debug_text+0
	MOVWF       FARG_ByteToStr_output+0 
	MOVLW       hi_addr(_debug_text+0)
	MOVWF       FARG_ByteToStr_output+1 
	CALL        _ByteToStr+0, 0
;FMclick.c,288 :: 		Lcd_Out(2, 14, debug_text);
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       14
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       _debug_text+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_debug_text+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;FMclick.c,289 :: 		}
L_display_fm33:
;FMclick.c,290 :: 		if(SelectD == 5){                                                           // selection 5 is for coverage info on LCD line 2
	MOVF        _SelectD+0, 0 
	XORLW       5
	BTFSS       STATUS+0, 2 
	GOTO        L_display_fm34
;FMclick.c,291 :: 		ByteToStr(coverage,debug_text);
	MOVF        _coverage+0, 0 
	MOVWF       FARG_ByteToStr_input+0 
	MOVLW       _debug_text+0
	MOVWF       FARG_ByteToStr_output+0 
	MOVLW       hi_addr(_debug_text+0)
	MOVWF       FARG_ByteToStr_output+1 
	CALL        _ByteToStr+0, 0
;FMclick.c,292 :: 		Lcd_Out(2, 14, debug_text);
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       14
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       _debug_text+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_debug_text+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;FMclick.c,293 :: 		}
L_display_fm34:
;FMclick.c,294 :: 		if(SelectD == 6){                                                           // selection 6 is for program reference num on LCD line 2
	MOVF        _SelectD+0, 0 
	XORLW       6
	BTFSS       STATUS+0, 2 
	GOTO        L_display_fm35
;FMclick.c,295 :: 		ByteToStr(program_ref,debug_text);
	MOVF        _program_ref+0, 0 
	MOVWF       FARG_ByteToStr_input+0 
	MOVLW       _debug_text+0
	MOVWF       FARG_ByteToStr_output+0 
	MOVLW       hi_addr(_debug_text+0)
	MOVWF       FARG_ByteToStr_output+1 
	CALL        _ByteToStr+0, 0
;FMclick.c,296 :: 		Lcd_Out(2, 14, debug_text);
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       14
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       _debug_text+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_debug_text+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;FMclick.c,297 :: 		}
L_display_fm35:
;FMclick.c,298 :: 		}
L_end_display_fm:
	RETURN      0
; end of _display_fm

_FM_Tune:

;FMclick.c,301 :: 		void FM_Tune(unsigned int freq){
;FMclick.c,304 :: 		STC_bit = 0;
	CLRF        FM_Tune_STC_bit_L0+0 
;FMclick.c,305 :: 		calc = freq;
	MOVF        FARG_FM_Tune_freq+0, 0 
	MOVWF       FM_Tune_calc_L0+0 
	MOVF        FARG_FM_Tune_freq+1, 0 
	MOVWF       FM_Tune_calc_L0+1 
;FMclick.c,306 :: 		calc = calc - 875;
	MOVLW       107
	SUBWF       FARG_FM_Tune_freq+0, 0 
	MOVWF       FM_Tune_calc_L0+0 
	MOVLW       3
	SUBWFB      FARG_FM_Tune_freq+1, 0 
	MOVWF       FM_Tune_calc_L0+1 
;FMclick.c,307 :: 		calc = calc | 0x8000;                                                       // Set TUNE Flag
	BSF         FM_Tune_calc_L0+1, 7 
;FMclick.c,308 :: 		if (powerON == 1){                                                          // Check for power state of FM click
	MOVF        _powerOn+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L_FM_Tune36
;FMclick.c,309 :: 		FM_Read(FM_0a0b_Reg);
	MOVLW       2
	MOVWF       FARG_FM_Read_cmd+0 
	CALL        _FM_Read+0, 0
;FMclick.c,310 :: 		modShadowReg(0x03, 0x83FF, 0);
	MOVLW       3
	MOVWF       FARG_modShadowReg_reg+0 
	MOVLW       255
	MOVWF       FARG_modShadowReg_value+0 
	MOVLW       131
	MOVWF       FARG_modShadowReg_value+1 
	CLRF        FARG_modShadowReg_set_reset+0 
	CALL        _modShadowReg+0, 0
;FMclick.c,311 :: 		FM_Write(0x03, calc, 1);                                                // Write modifiled frequency value  + activate tune
	MOVLW       3
	MOVWF       FARG_FM_Write_reg+0 
	MOVF        FM_Tune_calc_L0+0, 0 
	MOVWF       FARG_FM_Write_value+0 
	MOVF        FM_Tune_calc_L0+1, 0 
	MOVWF       FARG_FM_Write_value+1 
	MOVLW       1
	MOVWF       FARG_FM_Write_set_reset+0 
	CALL        _FM_Write+0, 0
;FMclick.c,312 :: 		Delay_ms(60);
	MOVLW       156
	MOVWF       R12, 0
	MOVLW       215
	MOVWF       R13, 0
L_FM_Tune37:
	DECFSZ      R13, 1, 1
	BRA         L_FM_Tune37
	DECFSZ      R12, 1, 1
	BRA         L_FM_Tune37
;FMclick.c,313 :: 		while (STC_bit == 0){
L_FM_Tune38:
	MOVF        FM_Tune_STC_bit_L0+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_FM_Tune39
;FMclick.c,314 :: 		FM_Read(FM_0a0b_Reg);
	MOVLW       2
	MOVWF       FARG_FM_Read_cmd+0 
	CALL        _FM_Read+0, 0
;FMclick.c,315 :: 		STC_bit = shadowReg[0] & 0x40;
	MOVLW       64
	ANDWF       _shadowReg+0, 0 
	MOVWF       FM_Tune_STC_bit_L0+0 
;FMclick.c,316 :: 		}
	GOTO        L_FM_Tune38
L_FM_Tune39:
;FMclick.c,317 :: 		FM_Read(FM_0a0b_Reg);
	MOVLW       2
	MOVWF       FARG_FM_Read_cmd+0 
	CALL        _FM_Read+0, 0
;FMclick.c,318 :: 		modShadowReg(0x03, 0x8000, 0);
	MOVLW       3
	MOVWF       FARG_modShadowReg_reg+0 
	MOVLW       0
	MOVWF       FARG_modShadowReg_value+0 
	MOVLW       128
	MOVWF       FARG_modShadowReg_value+1 
	CLRF        FARG_modShadowReg_set_reset+0 
	CALL        _modShadowReg+0, 0
;FMclick.c,319 :: 		FM_Write(0x03, 0x8000, 0);                                              // Set TUNE = 0
	MOVLW       3
	MOVWF       FARG_FM_Write_reg+0 
	MOVLW       0
	MOVWF       FARG_FM_Write_value+0 
	MOVLW       128
	MOVWF       FARG_FM_Write_value+1 
	CLRF        FARG_FM_Write_set_reset+0 
	CALL        _FM_Write+0, 0
;FMclick.c,320 :: 		while (STC_bit > 0){
L_FM_Tune40:
	MOVLW       128
	XORLW       0
	MOVWF       R0 
	MOVLW       128
	XORWF       FM_Tune_STC_bit_L0+0, 0 
	SUBWF       R0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_FM_Tune41
;FMclick.c,321 :: 		FM_Read(FM_all_Reg);
	MOVLW       15
	MOVWF       FARG_FM_Read_cmd+0 
	CALL        _FM_Read+0, 0
;FMclick.c,322 :: 		STC_bit = shadowReg[0] & 0x40;
	MOVLW       64
	ANDWF       _shadowReg+0, 0 
	MOVWF       FM_Tune_STC_bit_L0+0 
;FMclick.c,323 :: 		}
	GOTO        L_FM_Tune40
L_FM_Tune41:
;FMclick.c,324 :: 		}
	GOTO        L_FM_Tune42
L_FM_Tune36:
;FMclick.c,326 :: 		ModShadowReg(0x03, calc, 1);                                            // If power is off, only modify the shadow register
	MOVLW       3
	MOVWF       FARG_modShadowReg_reg+0 
	MOVF        FM_Tune_calc_L0+0, 0 
	MOVWF       FARG_modShadowReg_value+0 
	MOVF        FM_Tune_calc_L0+1, 0 
	MOVWF       FARG_modShadowReg_value+1 
	MOVLW       1
	MOVWF       FARG_modShadowReg_set_reset+0 
	CALL        _modShadowReg+0, 0
;FMclick.c,327 :: 		}
L_FM_Tune42:
;FMclick.c,328 :: 		}
L_end_FM_Tune:
	RETURN      0
; end of _FM_Tune

_FM_Seek:

;FMclick.c,331 :: 		void FM_Seek(unsigned char direction){
;FMclick.c,333 :: 		if (direction == 1){
	MOVF        FARG_FM_Seek_direction+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L_FM_Seek43
;FMclick.c,334 :: 		modShadowReg(0x02, 0x0300, 0);
	MOVLW       2
	MOVWF       FARG_modShadowReg_reg+0 
	MOVLW       0
	MOVWF       FARG_modShadowReg_value+0 
	MOVLW       3
	MOVWF       FARG_modShadowReg_value+1 
	CLRF        FARG_modShadowReg_set_reset+0 
	CALL        _modShadowReg+0, 0
;FMclick.c,335 :: 		FM_Write(0x02, 0x0300, 1);                                              // Activate SEEK direction up and Seek ON
	MOVLW       2
	MOVWF       FARG_FM_Write_reg+0 
	MOVLW       0
	MOVWF       FARG_FM_Write_value+0 
	MOVLW       3
	MOVWF       FARG_FM_Write_value+1 
	MOVLW       1
	MOVWF       FARG_FM_Write_set_reset+0 
	CALL        _FM_Write+0, 0
;FMclick.c,336 :: 		}
	GOTO        L_FM_Seek44
L_FM_Seek43:
;FMclick.c,338 :: 		modShadowReg(0x02, 0x0300, 0);
	MOVLW       2
	MOVWF       FARG_modShadowReg_reg+0 
	MOVLW       0
	MOVWF       FARG_modShadowReg_value+0 
	MOVLW       3
	MOVWF       FARG_modShadowReg_value+1 
	CLRF        FARG_modShadowReg_set_reset+0 
	CALL        _modShadowReg+0, 0
;FMclick.c,339 :: 		FM_Write(0x02, 0x0100, 1);                                              // Activate SEEK direction down and Seek ON
	MOVLW       2
	MOVWF       FARG_FM_Write_reg+0 
	MOVLW       0
	MOVWF       FARG_FM_Write_value+0 
	MOVLW       1
	MOVWF       FARG_FM_Write_value+1 
	MOVLW       1
	MOVWF       FARG_FM_Write_set_reset+0 
	CALL        _FM_Write+0, 0
;FMclick.c,340 :: 		}
L_FM_Seek44:
;FMclick.c,341 :: 		STC_bit = 0 ;
	CLRF        FM_Seek_STC_bit_L0+0 
;FMclick.c,342 :: 		while( STC_bit == 0 ){
L_FM_Seek45:
	MOVF        FM_Seek_STC_bit_L0+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_FM_Seek46
;FMclick.c,343 :: 		FM_Read(FM_0a0b_Reg);
	MOVLW       2
	MOVWF       FARG_FM_Read_cmd+0 
	CALL        _FM_Read+0, 0
;FMclick.c,344 :: 		STC_bit = (shadowReg[0] & 0b01000000) >> 6;
	MOVLW       0
	BTFSC       _shadowReg+0, 6 
	MOVLW       1
	MOVWF       FM_Seek_STC_bit_L0+0 
;FMclick.c,345 :: 		delay_ms(60);
	MOVLW       156
	MOVWF       R12, 0
	MOVLW       215
	MOVWF       R13, 0
L_FM_Seek47:
	DECFSZ      R13, 1, 1
	BRA         L_FM_Seek47
	DECFSZ      R12, 1, 1
	BRA         L_FM_Seek47
;FMclick.c,346 :: 		}
	GOTO        L_FM_Seek45
L_FM_Seek46:
;FMclick.c,347 :: 		modShadowReg(0x02, 0x0300, 0);
	MOVLW       2
	MOVWF       FARG_modShadowReg_reg+0 
	MOVLW       0
	MOVWF       FARG_modShadowReg_value+0 
	MOVLW       3
	MOVWF       FARG_modShadowReg_value+1 
	CLRF        FARG_modShadowReg_set_reset+0 
	CALL        _modShadowReg+0, 0
;FMclick.c,348 :: 		FM_Write(0x02, 0x0100, 0);                                                  // Deactivate SEEK,keep
	MOVLW       2
	MOVWF       FARG_FM_Write_reg+0 
	MOVLW       0
	MOVWF       FARG_FM_Write_value+0 
	MOVLW       1
	MOVWF       FARG_FM_Write_value+1 
	CLRF        FARG_FM_Write_set_reset+0 
	CALL        _FM_Write+0, 0
;FMclick.c,349 :: 		while( STC_bit == 1 ){
L_FM_Seek48:
	MOVF        FM_Seek_STC_bit_L0+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L_FM_Seek49
;FMclick.c,350 :: 		FM_Read(FM_0a0b_Reg);
	MOVLW       2
	MOVWF       FARG_FM_Read_cmd+0 
	CALL        _FM_Read+0, 0
;FMclick.c,351 :: 		STC_bit = (shadowReg[0] & 0b01000000) >> 6;
	MOVLW       0
	BTFSC       _shadowReg+0, 6 
	MOVLW       1
	MOVWF       FM_Seek_STC_bit_L0+0 
;FMclick.c,352 :: 		}
	GOTO        L_FM_Seek48
L_FM_Seek49:
;FMclick.c,353 :: 		FM_Read(FM_0a0b_Reg);
	MOVLW       2
	MOVWF       FARG_FM_Read_cmd+0 
	CALL        _FM_Read+0, 0
;FMclick.c,355 :: 		}
L_end_FM_Seek:
	RETURN      0
; end of _FM_Seek

_Rds_scan:

;FMclick.c,357 :: 		void Rds_scan(){
;FMclick.c,368 :: 		RDS_text[8] = 0;                                                            // ensure null terminator
	CLRF        _RDS_text+8 
;FMclick.c,370 :: 		if(RDS_ok){
	MOVF        _RDS_ok+0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_Rds_scan50
;FMclick.c,372 :: 		FM_Read(FM_all_Reg);
	MOVLW       15
	MOVWF       FARG_FM_Read_cmd+0 
	CALL        _FM_Read+0, 0
;FMclick.c,375 :: 		Bh = shadowReg[6];                                                      // reg 13 contains RDS block B
	MOVF        _shadowReg+6, 0 
	MOVWF       Rds_scan_Bh_L0+0 
;FMclick.c,376 :: 		Bl = shadowReg[7];
	MOVF        _shadowReg+7, 0 
	MOVWF       Rds_scan_Bl_L0+0 
;FMclick.c,377 :: 		Ch = shadowReg[8];                                                      // reg 14 contains RDS block C
	MOVF        _shadowReg+8, 0 
	MOVWF       Rds_scan_Ch_L0+0 
;FMclick.c,378 :: 		Cl = shadowReg[9];
	MOVF        _shadowReg+9, 0 
	MOVWF       Rds_scan_Cl_L0+0 
;FMclick.c,379 :: 		Dh = shadowReg[10];                                                     // reg 15 contains RDS block D
	MOVF        _shadowReg+10, 0 
	MOVWF       Rds_scan_Dh_L0+0 
;FMclick.c,380 :: 		Dl = shadowReg[11];
	MOVF        _shadowReg+11, 0 
	MOVWF       Rds_scan_Dl_L0+0 
;FMclick.c,381 :: 		service = Bh & 0b11111000;                                              // mask to get GTYPE and find out what kind of data is in RDS message
	MOVLW       248
	ANDWF       _shadowReg+6, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	MOVWF       Rds_scan_service_L0+0 
;FMclick.c,383 :: 		if (service == 0){                                                      // group type 0A or 0B station name
	MOVF        R1, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_Rds_scan51
;FMclick.c,384 :: 		if (block_err_name < 3){                                            // number of errors acceptable in station name - adjust for quality verses speed
	MOVLW       0
	SUBWF       _block_err_name+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Rds_scan176
	MOVLW       3
	SUBWF       _block_err_name+0, 0 
L__Rds_scan176:
	BTFSC       STATUS+0, 0 
	GOTO        L_Rds_scan52
;FMclick.c,385 :: 		pos = Bl & 3;                                                   // read C0 C1 to find which two station name characters of 8
	MOVLW       3
	ANDWF       Rds_scan_Bl_L0+0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	MOVWF       Rds_scan_pos_L0+0 
;FMclick.c,386 :: 		if( pos == 0){                                                  // new message - since first 2 characters
	MOVF        R1, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_Rds_scan53
;FMclick.c,387 :: 		if( str_size == 8){                                          // On peut imprimer le message car on a reu 8 caractres
	MOVF        _str_size+0, 0 
	XORLW       8
	BTFSS       STATUS+0, 2 
	GOTO        L_Rds_scan54
;FMclick.c,388 :: 		flag_RDS = 1;
	MOVLW       1
	MOVWF       _flag_RDS+0 
;FMclick.c,389 :: 		}
	GOTO        L_Rds_scan55
L_Rds_scan54:
;FMclick.c,391 :: 		if( RDS_text[0] == 0){                                   // On ne rempli qu'une fois !
	MOVF        _RDS_text+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_Rds_scan56
;FMclick.c,392 :: 		RDS_text[0] = Dh;                                    // On commence  remplir les 2 premiers caractres
	MOVF        Rds_scan_Dh_L0+0, 0 
	MOVWF       _RDS_text+0 
;FMclick.c,393 :: 		RDS_text[1] = Dl;
	MOVF        Rds_scan_Dl_L0+0, 0 
	MOVWF       _RDS_text+1 
;FMclick.c,394 :: 		str_size = str_size + 2;
	MOVLW       2
	ADDWF       _str_size+0, 1 
;FMclick.c,395 :: 		}
L_Rds_scan56:
;FMclick.c,396 :: 		}
L_Rds_scan55:
;FMclick.c,397 :: 		}
	GOTO        L_Rds_scan57
L_Rds_scan53:
;FMclick.c,399 :: 		if( (pos == 1) && (RDS_text[2] == 0)){                      // second pair of characters
	MOVF        Rds_scan_pos_L0+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L_Rds_scan60
	MOVF        _RDS_text+2, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_Rds_scan60
L__Rds_scan163:
;FMclick.c,400 :: 		RDS_text[2] = Dh;
	MOVF        Rds_scan_Dh_L0+0, 0 
	MOVWF       _RDS_text+2 
;FMclick.c,401 :: 		RDS_text[3] = Dl;
	MOVF        Rds_scan_Dl_L0+0, 0 
	MOVWF       _RDS_text+3 
;FMclick.c,402 :: 		str_size = str_size + 2;
	MOVLW       2
	ADDWF       _str_size+0, 1 
;FMclick.c,403 :: 		}
L_Rds_scan60:
;FMclick.c,404 :: 		if( (pos == 2) && (RDS_text[4] == 0)){
	MOVF        Rds_scan_pos_L0+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L_Rds_scan63
	MOVF        _RDS_text+4, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_Rds_scan63
L__Rds_scan162:
;FMclick.c,405 :: 		RDS_text[4] = Dh;                                       // third pair of characters
	MOVF        Rds_scan_Dh_L0+0, 0 
	MOVWF       _RDS_text+4 
;FMclick.c,406 :: 		RDS_text[5] = Dl;
	MOVF        Rds_scan_Dl_L0+0, 0 
	MOVWF       _RDS_text+5 
;FMclick.c,407 :: 		str_size = str_size + 2;
	MOVLW       2
	ADDWF       _str_size+0, 1 
;FMclick.c,408 :: 		}
L_Rds_scan63:
;FMclick.c,409 :: 		if( (pos == 3) && (RDS_text[6] == 0)){
	MOVF        Rds_scan_pos_L0+0, 0 
	XORLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L_Rds_scan66
	MOVF        _RDS_text+6, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_Rds_scan66
L__Rds_scan161:
;FMclick.c,410 :: 		RDS_text[6] = Dh;                                       // fourth pair of characters
	MOVF        Rds_scan_Dh_L0+0, 0 
	MOVWF       _RDS_text+6 
;FMclick.c,411 :: 		RDS_text[7] = Dl;
	MOVF        Rds_scan_Dl_L0+0, 0 
	MOVWF       _RDS_text+7 
;FMclick.c,412 :: 		str_size = str_size + 2;
	MOVLW       2
	ADDWF       _str_size+0, 1 
;FMclick.c,413 :: 		}
L_Rds_scan66:
;FMclick.c,414 :: 		}
L_Rds_scan57:
;FMclick.c,415 :: 		rds_pty = (((Bh & 3) *4)+(Bl>>5) & 0x1f);                       // 5 bits program type
	MOVLW       3
	ANDWF       Rds_scan_Bh_L0+0, 0 
	MOVWF       _rds_pty+0 
	RLCF        _rds_pty+0, 1 
	BCF         _rds_pty+0, 0 
	RLCF        _rds_pty+0, 1 
	BCF         _rds_pty+0, 0 
	MOVLW       5
	MOVWF       R1 
	MOVF        Rds_scan_Bl_L0+0, 0 
	MOVWF       R0 
	MOVF        R1, 0 
L__Rds_scan177:
	BZ          L__Rds_scan178
	RRCF        R0, 1 
	BCF         R0, 7 
	ADDLW       255
	GOTO        L__Rds_scan177
L__Rds_scan178:
	MOVF        R0, 0 
	ADDWF       _rds_pty+0, 1 
	MOVLW       31
	ANDWF       _rds_pty+0, 1 
;FMclick.c,416 :: 		}
L_Rds_scan52:
;FMclick.c,417 :: 		}
L_Rds_scan51:
;FMclick.c,420 :: 		if((service == 0x20) || (service == 28)){                               // group type 2A, 2B radio text
	MOVF        Rds_scan_service_L0+0, 0 
	XORLW       32
	BTFSC       STATUS+0, 2 
	GOTO        L__Rds_scan160
	MOVF        Rds_scan_service_L0+0, 0 
	XORLW       28
	BTFSC       STATUS+0, 2 
	GOTO        L__Rds_scan160
	GOTO        L_Rds_scan69
L__Rds_scan160:
;FMclick.c,421 :: 		if( block_err_sum < 1){                                             // number of errors acceptable for all text blocks
	MOVLW       1
	SUBWF       _block_err_sum+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_Rds_scan70
;FMclick.c,422 :: 		pos = BL & 0x0f;                                                // determine which group of 4 characters
	MOVLW       15
	ANDWF       Rds_scan_Bl_L0+0, 0 
	MOVWF       R3 
	MOVF        R3, 0 
	MOVWF       Rds_scan_pos_L0+0 
;FMclick.c,423 :: 		info_text[pos*4] = CH;
	MOVF        R3, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	RLCF        R0, 1 
	RLCF        R1, 1 
	BCF         R0, 0 
	RLCF        R0, 1 
	RLCF        R1, 1 
	BCF         R0, 0 
	MOVLW       _info_text+0
	ADDWF       R0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_info_text+0)
	ADDWFC      R1, 0 
	MOVWF       FSR1H 
	MOVF        Rds_scan_Ch_L0+0, 0 
	MOVWF       POSTINC1+0 
;FMclick.c,424 :: 		info_text[pos*4 + 1] = CL;
	MOVF        Rds_scan_pos_L0+0, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	RLCF        R0, 1 
	RLCF        R1, 1 
	BCF         R0, 0 
	RLCF        R0, 1 
	RLCF        R1, 1 
	BCF         R0, 0 
	INFSNZ      R0, 1 
	INCF        R1, 1 
	MOVLW       _info_text+0
	ADDWF       R0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_info_text+0)
	ADDWFC      R1, 0 
	MOVWF       FSR1H 
	MOVF        Rds_scan_Cl_L0+0, 0 
	MOVWF       POSTINC1+0 
;FMclick.c,425 :: 		info_text[pos*4 + 2] = DH;
	MOVF        Rds_scan_pos_L0+0, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	RLCF        R0, 1 
	RLCF        R1, 1 
	BCF         R0, 0 
	RLCF        R0, 1 
	RLCF        R1, 1 
	BCF         R0, 0 
	MOVLW       2
	ADDWF       R0, 1 
	MOVLW       0
	ADDWFC      R1, 1 
	MOVLW       _info_text+0
	ADDWF       R0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_info_text+0)
	ADDWFC      R1, 0 
	MOVWF       FSR1H 
	MOVF        Rds_scan_Dh_L0+0, 0 
	MOVWF       POSTINC1+0 
;FMclick.c,426 :: 		info_text[pos*4 + 3] = DL;
	MOVF        Rds_scan_pos_L0+0, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	RLCF        R0, 1 
	RLCF        R1, 1 
	BCF         R0, 0 
	RLCF        R0, 1 
	RLCF        R1, 1 
	BCF         R0, 0 
	MOVLW       3
	ADDWF       R0, 1 
	MOVLW       0
	ADDWFC      R1, 1 
	MOVLW       _info_text+0
	ADDWF       R0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_info_text+0)
	ADDWFC      R1, 0 
	MOVWF       FSR1H 
	MOVF        Rds_scan_Dl_L0+0, 0 
	MOVWF       POSTINC1+0 
;FMclick.c,427 :: 		if(selectD == 8){
	MOVF        _SelectD+0, 0 
	XORLW       8
	BTFSS       STATUS+0, 2 
	GOTO        L_Rds_scan71
;FMclick.c,428 :: 		for( pos = 0 ; pos < 16;pos++){
	CLRF        Rds_scan_pos_L0+0 
L_Rds_scan72:
	MOVLW       16
	SUBWF       Rds_scan_pos_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_Rds_scan73
;FMclick.c,429 :: 		LCD_Chr(2,pos+1,info_text[pos]);
	MOVLW       2
	MOVWF       FARG_Lcd_Chr_row+0 
	MOVF        Rds_scan_pos_L0+0, 0 
	ADDLW       1
	MOVWF       FARG_Lcd_Chr_column+0 
	MOVLW       _info_text+0
	MOVWF       FSR0 
	MOVLW       hi_addr(_info_text+0)
	MOVWF       FSR0H 
	MOVF        Rds_scan_pos_L0+0, 0 
	ADDWF       FSR0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0H, 1 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_Lcd_Chr_out_char+0 
	CALL        _Lcd_Chr+0, 0
;FMclick.c,428 :: 		for( pos = 0 ; pos < 16;pos++){
	INCF        Rds_scan_pos_L0+0, 1 
;FMclick.c,430 :: 		}
	GOTO        L_Rds_scan72
L_Rds_scan73:
;FMclick.c,431 :: 		}
L_Rds_scan71:
;FMclick.c,432 :: 		if(selectD == 9){
	MOVF        _SelectD+0, 0 
	XORLW       9
	BTFSS       STATUS+0, 2 
	GOTO        L_Rds_scan75
;FMclick.c,433 :: 		for( pos = 0 ; pos < 16;pos++){
	CLRF        Rds_scan_pos_L0+0 
L_Rds_scan76:
	MOVLW       16
	SUBWF       Rds_scan_pos_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_Rds_scan77
;FMclick.c,434 :: 		LCD_Chr(2,pos+1,info_text[pos+16]);
	MOVLW       2
	MOVWF       FARG_Lcd_Chr_row+0 
	MOVF        Rds_scan_pos_L0+0, 0 
	ADDLW       1
	MOVWF       FARG_Lcd_Chr_column+0 
	MOVLW       16
	ADDWF       Rds_scan_pos_L0+0, 0 
	MOVWF       R0 
	CLRF        R1 
	MOVLW       0
	ADDWFC      R1, 1 
	MOVLW       _info_text+0
	ADDWF       R0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_info_text+0)
	ADDWFC      R1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_Lcd_Chr_out_char+0 
	CALL        _Lcd_Chr+0, 0
;FMclick.c,433 :: 		for( pos = 0 ; pos < 16;pos++){
	INCF        Rds_scan_pos_L0+0, 1 
;FMclick.c,435 :: 		}
	GOTO        L_Rds_scan76
L_Rds_scan77:
;FMclick.c,436 :: 		}
L_Rds_scan75:
;FMclick.c,437 :: 		if(selectD == 10){
	MOVF        _SelectD+0, 0 
	XORLW       10
	BTFSS       STATUS+0, 2 
	GOTO        L_Rds_scan79
;FMclick.c,438 :: 		for( pos = 0 ; pos < 16;pos++){
	CLRF        Rds_scan_pos_L0+0 
L_Rds_scan80:
	MOVLW       16
	SUBWF       Rds_scan_pos_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_Rds_scan81
;FMclick.c,439 :: 		LCD_Chr(2,pos+1,info_text[pos+32]);
	MOVLW       2
	MOVWF       FARG_Lcd_Chr_row+0 
	MOVF        Rds_scan_pos_L0+0, 0 
	ADDLW       1
	MOVWF       FARG_Lcd_Chr_column+0 
	MOVLW       32
	ADDWF       Rds_scan_pos_L0+0, 0 
	MOVWF       R0 
	CLRF        R1 
	MOVLW       0
	ADDWFC      R1, 1 
	MOVLW       _info_text+0
	ADDWF       R0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_info_text+0)
	ADDWFC      R1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_Lcd_Chr_out_char+0 
	CALL        _Lcd_Chr+0, 0
;FMclick.c,438 :: 		for( pos = 0 ; pos < 16;pos++){
	INCF        Rds_scan_pos_L0+0, 1 
;FMclick.c,440 :: 		}
	GOTO        L_Rds_scan80
L_Rds_scan81:
;FMclick.c,441 :: 		}
L_Rds_scan79:
;FMclick.c,442 :: 		if(selectD == 11){
	MOVF        _SelectD+0, 0 
	XORLW       11
	BTFSS       STATUS+0, 2 
	GOTO        L_Rds_scan83
;FMclick.c,443 :: 		for( pos = 0 ; pos < 16;pos++){
	CLRF        Rds_scan_pos_L0+0 
L_Rds_scan84:
	MOVLW       16
	SUBWF       Rds_scan_pos_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_Rds_scan85
;FMclick.c,444 :: 		LCD_Chr(2,pos+1,info_text[pos+48]);
	MOVLW       2
	MOVWF       FARG_Lcd_Chr_row+0 
	MOVF        Rds_scan_pos_L0+0, 0 
	ADDLW       1
	MOVWF       FARG_Lcd_Chr_column+0 
	MOVLW       48
	ADDWF       Rds_scan_pos_L0+0, 0 
	MOVWF       R0 
	CLRF        R1 
	MOVLW       0
	ADDWFC      R1, 1 
	MOVLW       _info_text+0
	ADDWF       R0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_info_text+0)
	ADDWFC      R1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_Lcd_Chr_out_char+0 
	CALL        _Lcd_Chr+0, 0
;FMclick.c,443 :: 		for( pos = 0 ; pos < 16;pos++){
	INCF        Rds_scan_pos_L0+0, 1 
;FMclick.c,445 :: 		}
	GOTO        L_Rds_scan84
L_Rds_scan85:
;FMclick.c,446 :: 		}
L_Rds_scan83:
;FMclick.c,447 :: 		}
L_Rds_scan70:
;FMclick.c,448 :: 		}
L_Rds_scan69:
;FMclick.c,451 :: 		if( service == 0x40){                                                   // Group Type 4A, time and date (%01001010)
	MOVF        Rds_scan_service_L0+0, 0 
	XORLW       64
	BTFSS       STATUS+0, 2 
	GOTO        L_Rds_scan87
;FMclick.c,452 :: 		if( block_err_sum == 0){                                            // number of errors acceptable for all time/date blocks
	MOVF        _block_err_sum+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_Rds_scan88
;FMclick.c,453 :: 		mjulian_days = (32768ul * (Bl & 0x03)) + (128 * Ch) + (Cl >> 1); // days since midnight on November 17, 1858
	MOVLW       3
	ANDWF       Rds_scan_Bl_L0+0, 0 
	MOVWF       Rds_scan_mjulian_days_L0+0 
	CLRF        Rds_scan_mjulian_days_L0+1 
	MOVLW       0
	ANDWF       Rds_scan_mjulian_days_L0+1, 1 
	MOVLW       0
	MOVWF       Rds_scan_mjulian_days_L0+2 
	MOVWF       Rds_scan_mjulian_days_L0+3 
	MOVLW       15
	MOVWF       R0 
	MOVLW       0
	MOVWF       Rds_scan_mjulian_days_L0+1 
	MOVWF       Rds_scan_mjulian_days_L0+2 
	MOVWF       Rds_scan_mjulian_days_L0+3 
	MOVF        R0, 0 
L__Rds_scan179:
	BZ          L__Rds_scan180
	RLCF        Rds_scan_mjulian_days_L0+0, 1 
	BCF         Rds_scan_mjulian_days_L0+0, 0 
	RLCF        Rds_scan_mjulian_days_L0+1, 1 
	RLCF        Rds_scan_mjulian_days_L0+2, 1 
	RLCF        Rds_scan_mjulian_days_L0+3, 1 
	ADDLW       255
	GOTO        L__Rds_scan179
L__Rds_scan180:
	MOVLW       7
	MOVWF       R2 
	MOVF        Rds_scan_Ch_L0+0, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVF        R2, 0 
L__Rds_scan181:
	BZ          L__Rds_scan182
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	ADDLW       255
	GOTO        L__Rds_scan181
L__Rds_scan182:
	MOVF        R0, 0 
	ADDWF       Rds_scan_mjulian_days_L0+0, 1 
	MOVF        R1, 0 
	ADDWFC      Rds_scan_mjulian_days_L0+1, 1 
	MOVLW       0
	BTFSC       R1, 7 
	MOVLW       255
	ADDWFC      Rds_scan_mjulian_days_L0+2, 1 
	ADDWFC      Rds_scan_mjulian_days_L0+3, 1 
	MOVF        Rds_scan_Cl_L0+0, 0 
	MOVWF       R0 
	RRCF        R0, 1 
	BCF         R0, 7 
	MOVF        R0, 0 
	ADDWF       Rds_scan_mjulian_days_L0+0, 1 
	MOVLW       0
	ADDWFC      Rds_scan_mjulian_days_L0+1, 1 
	ADDWFC      Rds_scan_mjulian_days_L0+2, 1 
	ADDWFC      Rds_scan_mjulian_days_L0+3, 1 
;FMclick.c,454 :: 		utc_offset = (Dl & 0x1f) >> 1;                                  // read half-hours and change to hours
	MOVLW       31
	ANDWF       Rds_scan_Dl_L0+0, 0 
	MOVWF       Rds_scan_utc_offset_L0+0 
	CLRF        Rds_scan_utc_offset_L0+1 
	MOVLW       0
	ANDWF       Rds_scan_utc_offset_L0+1, 1 
	MOVLW       0
	MOVWF       Rds_scan_utc_offset_L0+1 
	RRCF        Rds_scan_utc_offset_L0+0, 1 
	BCF         Rds_scan_utc_offset_L0+0, 7 
	MOVLW       0
	MOVWF       Rds_scan_utc_offset_L0+1 
;FMclick.c,455 :: 		rds_minutes = ((Dh & 0x0f) << 2) + ((Dl & 0xc0) >> 6);          // 6 bits minutes
	MOVLW       15
	ANDWF       Rds_scan_Dh_L0+0, 0 
	MOVWF       Rds_scan_rds_minutes_L0+0 
	CLRF        Rds_scan_rds_minutes_L0+1 
	MOVLW       0
	ANDWF       Rds_scan_rds_minutes_L0+1, 1 
	MOVLW       0
	MOVWF       Rds_scan_rds_minutes_L0+1 
	RLCF        Rds_scan_rds_minutes_L0+0, 1 
	BCF         Rds_scan_rds_minutes_L0+0, 0 
	RLCF        Rds_scan_rds_minutes_L0+1, 1 
	RLCF        Rds_scan_rds_minutes_L0+0, 1 
	BCF         Rds_scan_rds_minutes_L0+0, 0 
	RLCF        Rds_scan_rds_minutes_L0+1, 1 
	MOVLW       192
	ANDWF       Rds_scan_Dl_L0+0, 0 
	MOVWF       R2 
	MOVLW       6
	MOVWF       R1 
	MOVF        R2, 0 
	MOVWF       R0 
	MOVF        R1, 0 
L__Rds_scan183:
	BZ          L__Rds_scan184
	RRCF        R0, 1 
	BCF         R0, 7 
	ADDLW       255
	GOTO        L__Rds_scan183
L__Rds_scan184:
	MOVF        R0, 0 
	ADDWF       Rds_scan_rds_minutes_L0+0, 1 
	MOVLW       0
	ADDWFC      Rds_scan_rds_minutes_L0+1, 1 
;FMclick.c,456 :: 		rds_hours = ((Cl & 0x01) << 4) + ((Dh & 0xf0) >> 4);            // 5 bits hours
	MOVLW       1
	ANDWF       Rds_scan_Cl_L0+0, 0 
	MOVWF       Rds_scan_rds_hours_L0+0 
	CLRF        Rds_scan_rds_hours_L0+1 
	MOVLW       0
	ANDWF       Rds_scan_rds_hours_L0+1, 1 
	MOVLW       4
	MOVWF       R0 
	MOVLW       0
	MOVWF       Rds_scan_rds_hours_L0+1 
	MOVF        R0, 0 
L__Rds_scan185:
	BZ          L__Rds_scan186
	RLCF        Rds_scan_rds_hours_L0+0, 1 
	BCF         Rds_scan_rds_hours_L0+0, 0 
	RLCF        Rds_scan_rds_hours_L0+1, 1 
	ADDLW       255
	GOTO        L__Rds_scan185
L__Rds_scan186:
	MOVLW       240
	ANDWF       Rds_scan_Dh_L0+0, 0 
	MOVWF       R2 
	MOVF        R2, 0 
	MOVWF       R0 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	MOVF        R0, 0 
	ADDWF       Rds_scan_rds_hours_L0+0, 1 
	MOVLW       0
	ADDWFC      Rds_scan_rds_hours_L0+1, 1 
;FMclick.c,457 :: 		if (Dl & 0x20){                                                 // test bit 5 which is 0 for add local offset to UTC, 1 for subtract
	BTFSS       Rds_scan_Dl_L0+0, 5 
	GOTO        L_Rds_scan89
;FMclick.c,458 :: 		rds_hours -= utc_offset;
	MOVF        Rds_scan_utc_offset_L0+0, 0 
	SUBWF       Rds_scan_rds_hours_L0+0, 1 
	MOVF        Rds_scan_utc_offset_L0+1, 0 
	SUBWFB      Rds_scan_rds_hours_L0+1, 1 
;FMclick.c,459 :: 		}
	GOTO        L_Rds_scan90
L_Rds_scan89:
;FMclick.c,461 :: 		rds_hours += utc_offset;
	MOVF        Rds_scan_utc_offset_L0+0, 0 
	ADDWF       Rds_scan_rds_hours_L0+0, 1 
	MOVF        Rds_scan_utc_offset_L0+1, 0 
	ADDWFC      Rds_scan_rds_hours_L0+1, 1 
;FMclick.c,462 :: 		}
L_Rds_scan90:
;FMclick.c,463 :: 		if( rds_hours >= 24){                                           // handle overflow
	MOVLW       128
	XORWF       Rds_scan_rds_hours_L0+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Rds_scan187
	MOVLW       24
	SUBWF       Rds_scan_rds_hours_L0+0, 0 
L__Rds_scan187:
	BTFSS       STATUS+0, 0 
	GOTO        L_Rds_scan91
;FMclick.c,464 :: 		rds_hours -= 24;
	MOVLW       24
	SUBWF       Rds_scan_rds_hours_L0+0, 1 
	MOVLW       0
	SUBWFB      Rds_scan_rds_hours_L0+1, 1 
;FMclick.c,465 :: 		mjulian_days += 1;                                          // adjust date if passing midnight
	MOVLW       1
	ADDWF       Rds_scan_mjulian_days_L0+0, 1 
	MOVLW       0
	ADDWFC      Rds_scan_mjulian_days_L0+1, 1 
	ADDWFC      Rds_scan_mjulian_days_L0+2, 1 
	ADDWFC      Rds_scan_mjulian_days_L0+3, 1 
;FMclick.c,466 :: 		}
L_Rds_scan91:
;FMclick.c,467 :: 		if( rds_hours < 0){                                             // handle underflow
	MOVLW       128
	XORWF       Rds_scan_rds_hours_L0+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Rds_scan188
	MOVLW       0
	SUBWF       Rds_scan_rds_hours_L0+0, 0 
L__Rds_scan188:
	BTFSC       STATUS+0, 0 
	GOTO        L_Rds_scan92
;FMclick.c,468 :: 		rds_hours += 24;
	MOVLW       24
	ADDWF       Rds_scan_rds_hours_L0+0, 1 
	MOVLW       0
	ADDWFC      Rds_scan_rds_hours_L0+1, 1 
;FMclick.c,469 :: 		mjulian_days += 1;                                          // adjust date if passing midnight
	MOVLW       1
	ADDWF       Rds_scan_mjulian_days_L0+0, 1 
	MOVLW       0
	ADDWFC      Rds_scan_mjulian_days_L0+1, 1 
	ADDWFC      Rds_scan_mjulian_days_L0+2, 1 
	ADDWFC      Rds_scan_mjulian_days_L0+3, 1 
;FMclick.c,470 :: 		}
L_Rds_scan92:
;FMclick.c,474 :: 		if(SelectD == 3){                                               // only calculate modified julian days if display selected
	MOVF        _SelectD+0, 0 
	XORLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L_Rds_scan93
;FMclick.c,475 :: 		longwordtostr(mjulian_days,debug_text);
	MOVF        Rds_scan_mjulian_days_L0+0, 0 
	MOVWF       FARG_LongWordToStr_input+0 
	MOVF        Rds_scan_mjulian_days_L0+1, 0 
	MOVWF       FARG_LongWordToStr_input+1 
	MOVF        Rds_scan_mjulian_days_L0+2, 0 
	MOVWF       FARG_LongWordToStr_input+2 
	MOVF        Rds_scan_mjulian_days_L0+3, 0 
	MOVWF       FARG_LongWordToStr_input+3 
	MOVLW       _debug_text+0
	MOVWF       FARG_LongWordToStr_output+0 
	MOVLW       hi_addr(_debug_text+0)
	MOVWF       FARG_LongWordToStr_output+1 
	CALL        _LongWordToStr+0, 0
;FMclick.c,476 :: 		lcd_out(2,2,debug_text);                                    // display modified Julian Days (since November 17 1858)
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       2
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       _debug_text+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_debug_text+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;FMclick.c,477 :: 		}
L_Rds_scan93:
;FMclick.c,478 :: 		if(SelectD == 1){                                               // only calculate date if display selected
	MOVF        _SelectD+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L_Rds_scan94
;FMclick.c,479 :: 		mjulian_days -= 58119ul;                                    // change to days since 1/1/2018 (MJD 58119) to make calculation simpler
	MOVLW       7
	SUBWF       Rds_scan_mjulian_days_L0+0, 1 
	MOVLW       227
	SUBWFB      Rds_scan_mjulian_days_L0+1, 1 
	MOVLW       0
	SUBWFB      Rds_scan_mjulian_days_L0+2, 1 
	MOVLW       0
	SUBWFB      Rds_scan_mjulian_days_L0+3, 1 
;FMclick.c,480 :: 		local_year = 18;
	MOVLW       18
	MOVWF       _local_year+0 
;FMclick.c,481 :: 		local_month = 1;
	MOVLW       1
	MOVWF       _local_month+0 
;FMclick.c,482 :: 		local_day = 1;
	MOVLW       1
	MOVWF       _local_day+0 
;FMclick.c,483 :: 		leap = 0;
	CLRF        Rds_scan_leap_L0+0 
;FMclick.c,486 :: 		while(mjulian_days > 31){                                   // bug waiting to suface here - surely !!!
L_Rds_scan95:
	MOVF        Rds_scan_mjulian_days_L0+3, 0 
	SUBLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__Rds_scan189
	MOVF        Rds_scan_mjulian_days_L0+2, 0 
	SUBLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__Rds_scan189
	MOVF        Rds_scan_mjulian_days_L0+1, 0 
	SUBLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__Rds_scan189
	MOVF        Rds_scan_mjulian_days_L0+0, 0 
	SUBLW       31
L__Rds_scan189:
	BTFSC       STATUS+0, 0 
	GOTO        L_Rds_scan96
;FMclick.c,487 :: 		if(mjulian_days > (len_month[local_month] + leap)){
	MOVLW       _len_month+0
	MOVWF       FSR0 
	MOVLW       hi_addr(_len_month+0)
	MOVWF       FSR0H 
	MOVF        _local_month+0, 0 
	ADDWF       FSR0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0H, 1 
	MOVF        Rds_scan_leap_L0+0, 0 
	ADDWF       POSTINC0+0, 0 
	MOVWF       R1 
	CLRF        R2 
	MOVLW       0
	ADDWFC      R2, 1 
	MOVLW       0
	BTFSC       R2, 7 
	MOVLW       255
	MOVWF       R0 
	MOVF        Rds_scan_mjulian_days_L0+3, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Rds_scan190
	MOVLW       0
	BTFSC       R2, 7 
	MOVLW       255
	MOVWF       R0 
	MOVF        Rds_scan_mjulian_days_L0+2, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Rds_scan190
	MOVF        Rds_scan_mjulian_days_L0+1, 0 
	SUBWF       R2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Rds_scan190
	MOVF        Rds_scan_mjulian_days_L0+0, 0 
	SUBWF       R1, 0 
L__Rds_scan190:
	BTFSC       STATUS+0, 0 
	GOTO        L_Rds_scan97
;FMclick.c,488 :: 		mjulian_days -= (len_month[local_month] + leap);
	MOVLW       _len_month+0
	MOVWF       FSR0 
	MOVLW       hi_addr(_len_month+0)
	MOVWF       FSR0H 
	MOVF        _local_month+0, 0 
	ADDWF       FSR0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0H, 1 
	MOVF        Rds_scan_leap_L0+0, 0 
	ADDWF       POSTINC0+0, 0 
	MOVWF       R0 
	CLRF        R1 
	MOVLW       0
	ADDWFC      R1, 1 
	MOVF        R0, 0 
	SUBWF       Rds_scan_mjulian_days_L0+0, 1 
	MOVF        R1, 0 
	SUBWFB      Rds_scan_mjulian_days_L0+1, 1 
	MOVLW       0
	BTFSC       R1, 7 
	MOVLW       255
	SUBWFB      Rds_scan_mjulian_days_L0+2, 1 
	SUBWFB      Rds_scan_mjulian_days_L0+3, 1 
;FMclick.c,489 :: 		local_month += 1;
	INCF        _local_month+0, 1 
;FMclick.c,490 :: 		if(local_month > 12){
	MOVF        _local_month+0, 0 
	SUBLW       12
	BTFSC       STATUS+0, 0 
	GOTO        L_Rds_scan98
;FMclick.c,491 :: 		local_month = 1;
	MOVLW       1
	MOVWF       _local_month+0 
;FMclick.c,492 :: 		local_year += 1;
	INCF        _local_year+0, 1 
;FMclick.c,493 :: 		}
L_Rds_scan98:
;FMclick.c,494 :: 		leap = 0;                                              // start by assuming no leap day
	CLRF        Rds_scan_leap_L0+0 
;FMclick.c,495 :: 		if (local_month == 2){                                 // possible leap day in February
	MOVF        _local_month+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L_Rds_scan99
;FMclick.c,496 :: 		if(local_year == 20) leap = 1;
	MOVF        _local_year+0, 0 
	XORLW       20
	BTFSS       STATUS+0, 2 
	GOTO        L_Rds_scan100
	MOVLW       1
	MOVWF       Rds_scan_leap_L0+0 
L_Rds_scan100:
;FMclick.c,497 :: 		if(local_year == 24) leap = 1;
	MOVF        _local_year+0, 0 
	XORLW       24
	BTFSS       STATUS+0, 2 
	GOTO        L_Rds_scan101
	MOVLW       1
	MOVWF       Rds_scan_leap_L0+0 
L_Rds_scan101:
;FMclick.c,498 :: 		if(local_year == 28) leap = 1;
	MOVF        _local_year+0, 0 
	XORLW       28
	BTFSS       STATUS+0, 2 
	GOTO        L_Rds_scan102
	MOVLW       1
	MOVWF       Rds_scan_leap_L0+0 
L_Rds_scan102:
;FMclick.c,499 :: 		if(local_year == 32) leap = 1;
	MOVF        _local_year+0, 0 
	XORLW       32
	BTFSS       STATUS+0, 2 
	GOTO        L_Rds_scan103
	MOVLW       1
	MOVWF       Rds_scan_leap_L0+0 
L_Rds_scan103:
;FMclick.c,500 :: 		if(local_year == 36) leap = 1;
	MOVF        _local_year+0, 0 
	XORLW       36
	BTFSS       STATUS+0, 2 
	GOTO        L_Rds_scan104
	MOVLW       1
	MOVWF       Rds_scan_leap_L0+0 
L_Rds_scan104:
;FMclick.c,501 :: 		if(local_year == 40) leap = 1;
	MOVF        _local_year+0, 0 
	XORLW       40
	BTFSS       STATUS+0, 2 
	GOTO        L_Rds_scan105
	MOVLW       1
	MOVWF       Rds_scan_leap_L0+0 
L_Rds_scan105:
;FMclick.c,502 :: 		if(local_year == 42) leap = 1;                     // I dont plan this program to be in use after 2045
	MOVF        _local_year+0, 0 
	XORLW       42
	BTFSS       STATUS+0, 2 
	GOTO        L_Rds_scan106
	MOVLW       1
	MOVWF       Rds_scan_leap_L0+0 
L_Rds_scan106:
;FMclick.c,503 :: 		}
L_Rds_scan99:
;FMclick.c,504 :: 		}
L_Rds_scan97:
;FMclick.c,505 :: 		local_day = mjulian_days;
	MOVF        Rds_scan_mjulian_days_L0+0, 0 
	MOVWF       _local_day+0 
;FMclick.c,506 :: 		}
	GOTO        L_Rds_scan95
L_Rds_scan96:
;FMclick.c,507 :: 		}
L_Rds_scan94:
;FMclick.c,510 :: 		local_minute = rds_minutes;
	MOVF        Rds_scan_rds_minutes_L0+0, 0 
	MOVWF       _local_minute+0 
;FMclick.c,511 :: 		local_hour = rds_hours;
	MOVF        Rds_scan_rds_hours_L0+0, 0 
	MOVWF       _local_hour+0 
;FMclick.c,512 :: 		flag_Clock = 1;                                                 // Clock updated
	MOVLW       1
	MOVWF       _flag_Clock+0 
;FMclick.c,513 :: 		}
L_Rds_scan88:
;FMclick.c,514 :: 		}
L_Rds_scan87:
;FMclick.c,515 :: 		}
L_Rds_scan50:
;FMclick.c,516 :: 		}
L_end_Rds_scan:
	RETURN      0
; end of _Rds_scan

_FM_Activate:

;FMclick.c,518 :: 		unsigned char FM_Activate(){
;FMclick.c,521 :: 		active = ChipID;
	MOVF        _ChipID+0, 0 
	MOVWF       FM_Activate_active_L0+0 
	MOVF        _ChipID+1, 0 
	MOVWF       FM_Activate_active_L0+1 
;FMclick.c,522 :: 		FM_Read(FM_all_Reg);
	MOVLW       15
	MOVWF       FARG_FM_Read_cmd+0 
	CALL        _FM_Read+0, 0
;FMclick.c,523 :: 		modShadowReg(0x02, 0x4801, 0);
	MOVLW       2
	MOVWF       FARG_modShadowReg_reg+0 
	MOVLW       1
	MOVWF       FARG_modShadowReg_value+0 
	MOVLW       72
	MOVWF       FARG_modShadowReg_value+1 
	CLRF        FARG_modShadowReg_set_reset+0 
	CALL        _modShadowReg+0, 0
;FMclick.c,524 :: 		FM_Write(0x02, 0x4801, 1);                                                  // Write ENABLE bit, disable Mute , RDS mode = Verbose
	MOVLW       2
	MOVWF       FARG_FM_Write_reg+0 
	MOVLW       1
	MOVWF       FARG_FM_Write_value+0 
	MOVLW       72
	MOVWF       FARG_FM_Write_value+1 
	MOVLW       1
	MOVWF       FARG_FM_Write_set_reset+0 
	CALL        _FM_Write+0, 0
;FMclick.c,525 :: 		Delay_ms(200);
	MOVLW       3
	MOVWF       R11, 0
	MOVLW       8
	MOVWF       R12, 0
	MOVLW       119
	MOVWF       R13, 0
L_FM_Activate107:
	DECFSZ      R13, 1, 1
	BRA         L_FM_Activate107
	DECFSZ      R12, 1, 1
	BRA         L_FM_Activate107
	DECFSZ      R11, 1, 1
	BRA         L_FM_Activate107
;FMclick.c,526 :: 		while (active == ChipID){                                                   // Wait for module powerup
L_FM_Activate108:
	MOVF        FM_Activate_active_L0+1, 0 
	XORWF       _ChipID+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__FM_Activate192
	MOVF        _ChipID+0, 0 
	XORWF       FM_Activate_active_L0+0, 0 
L__FM_Activate192:
	BTFSS       STATUS+0, 2 
	GOTO        L_FM_Activate109
;FMclick.c,527 :: 		FM_Read(FM_all_Reg);
	MOVLW       15
	MOVWF       FARG_FM_Read_cmd+0 
	CALL        _FM_Read+0, 0
;FMclick.c,528 :: 		active = shadowReg[14] << 8;
	MOVF        _shadowReg+14, 0 
	MOVWF       FM_Activate_active_L0+1 
	CLRF        FM_Activate_active_L0+0 
;FMclick.c,529 :: 		active = active | shadowReg[15];
	MOVF        _shadowReg+15, 0 
	IORWF       FM_Activate_active_L0+0, 1 
	MOVLW       0
	IORWF       FM_Activate_active_L0+1, 1 
;FMclick.c,530 :: 		}
	GOTO        L_FM_Activate108
L_FM_Activate109:
;FMclick.c,531 :: 		modShadowReg(0x04, 0xFFFF, 0);                                              // Write default Volume and RSSI Seek Threshold values
	MOVLW       4
	MOVWF       FARG_modShadowReg_reg+0 
	MOVLW       255
	MOVWF       FARG_modShadowReg_value+0 
	MOVLW       255
	MOVWF       FARG_modShadowReg_value+1 
	CLRF        FARG_modShadowReg_set_reset+0 
	CALL        _modShadowReg+0, 0
;FMclick.c,532 :: 		FM_Write(0x04,0x1800,1);                                                    // Enable RDS + De-emphasis Europe
	MOVLW       4
	MOVWF       FARG_FM_Write_reg+0 
	MOVLW       0
	MOVWF       FARG_FM_Write_value+0 
	MOVLW       24
	MOVWF       FARG_FM_Write_value+1 
	MOVLW       1
	MOVWF       FARG_FM_Write_set_reset+0 
	CALL        _FM_Write+0, 0
;FMclick.c,533 :: 		modShadowReg(0x05, 0xFFFF, 0);                                              // Write default values
	MOVLW       5
	MOVWF       FARG_modShadowReg_reg+0 
	MOVLW       255
	MOVWF       FARG_modShadowReg_value+0 
	MOVLW       255
	MOVWF       FARG_modShadowReg_value+1 
	CLRF        FARG_modShadowReg_set_reset+0 
	CALL        _modShadowReg+0, 0
;FMclick.c,534 :: 		FM_Write(0x05, 0x101F, 1);                                                  // RSSI seek Threshold = 0x10, band = Europe, Channel spacing = 100kHZ, Volume = max
	MOVLW       5
	MOVWF       FARG_FM_Write_reg+0 
	MOVLW       31
	MOVWF       FARG_FM_Write_value+0 
	MOVLW       16
	MOVWF       FARG_FM_Write_value+1 
	MOVLW       1
	MOVWF       FARG_FM_Write_set_reset+0 
	CALL        _FM_Write+0, 0
;FMclick.c,535 :: 		Delay_ms(110);                                                              // Max delay
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       30
	MOVWF       R12, 0
	MOVLW       179
	MOVWF       R13, 0
L_FM_Activate110:
	DECFSZ      R13, 1, 1
	BRA         L_FM_Activate110
	DECFSZ      R12, 1, 1
	BRA         L_FM_Activate110
	DECFSZ      R11, 1, 1
	BRA         L_FM_Activate110
	NOP
	NOP
;FMclick.c,536 :: 		powerOn = 1;                                                                // Update powerOn flag
	MOVLW       1
	MOVWF       _powerOn+0 
;FMclick.c,537 :: 		return shadowReg[0];
	MOVF        _shadowReg+0, 0 
	MOVWF       R0 
;FMclick.c,538 :: 		}
L_end_FM_Activate:
	RETURN      0
; end of _FM_Activate

_FM_Deactivate:

;FMclick.c,540 :: 		void FM_Deactivate(){
;FMclick.c,541 :: 		modShadowReg(0x02 , 0x4000, 0 );
	MOVLW       2
	MOVWF       FARG_modShadowReg_reg+0 
	MOVLW       0
	MOVWF       FARG_modShadowReg_value+0 
	MOVLW       64
	MOVWF       FARG_modShadowReg_value+1 
	CLRF        FARG_modShadowReg_set_reset+0 
	CALL        _modShadowReg+0, 0
;FMclick.c,542 :: 		FM_Write(0x02, 0x0040, 1);
	MOVLW       2
	MOVWF       FARG_FM_Write_reg+0 
	MOVLW       64
	MOVWF       FARG_FM_Write_value+0 
	MOVLW       0
	MOVWF       FARG_FM_Write_value+1 
	MOVLW       1
	MOVWF       FARG_FM_Write_set_reset+0 
	CALL        _FM_Write+0, 0
;FMclick.c,543 :: 		powerOn = 0;                                                                // Updare powerOn flag
	CLRF        _powerOn+0 
;FMclick.c,544 :: 		}
L_end_FM_Deactivate:
	RETURN      0
; end of _FM_Deactivate

_FMClick_Init:

;FMclick.c,547 :: 		void FMClick_Init(){
;FMclick.c,548 :: 		FM_RST = 1;                                                                 // RE1 Init chip done - 2wires interface due to SDIO=0 et SDEN=1)
	BSF         LATE1_bit+0, BitPos(LATE1_bit+0) 
;FMclick.c,549 :: 		Delay_ms(1);
	MOVLW       3
	MOVWF       R12, 0
	MOVLW       151
	MOVWF       R13, 0
L_FMClick_Init111:
	DECFSZ      R13, 1, 1
	BRA         L_FMClick_Init111
	DECFSZ      R12, 1, 1
	BRA         L_FMClick_Init111
	NOP
	NOP
;FMclick.c,550 :: 		I2C1_Init(100000);                                                          // Initialize I2C module for communication with FM Click board
	MOVLW       20
	MOVWF       SSP1ADD+0 
	CALL        _I2C1_Init+0, 0
;FMclick.c,551 :: 		FM_Read(FM_all_Reg);                                                        // read all 16 registers (16 bits each) to shadow_reg[]
	MOVLW       15
	MOVWF       FARG_FM_Read_cmd+0 
	CALL        _FM_Read+0, 0
;FMclick.c,552 :: 		ChipID = shadowReg[14] * 256;                                               // REG 0 is the 14th byte to be returned by chip. Save Chip ID before powerup.
	MOVF        _shadowReg+14, 0 
	MOVWF       _ChipID+1 
	CLRF        _ChipID+0 
;FMclick.c,553 :: 		ChipID = ChipID | shadowReg[15];                                            // expect chip ID of 0x1242
	MOVF        _shadowReg+15, 0 
	IORWF       _ChipID+0, 1 
	MOVLW       0
	IORWF       _ChipID+1, 1 
;FMclick.c,554 :: 		Delay_ms(1);
	MOVLW       3
	MOVWF       R12, 0
	MOVLW       151
	MOVWF       R13, 0
L_FMClick_Init112:
	DECFSZ      R13, 1, 1
	BRA         L_FMClick_Init112
	DECFSZ      R12, 1, 1
	BRA         L_FMClick_Init112
	NOP
	NOP
;FMclick.c,555 :: 		modShadowReg(0x07, 0x0081, 0);                                              // register 7, value 0081, set/reset = 'and'
	MOVLW       7
	MOVWF       FARG_modShadowReg_reg+0 
	MOVLW       129
	MOVWF       FARG_modShadowReg_value+0 
	MOVLW       0
	MOVWF       FARG_modShadowReg_value+1 
	CLRF        FARG_modShadowReg_set_reset+0 
	CALL        _modShadowReg+0, 0
;FMclick.c,556 :: 		FM_Write(0x07, 0x8100, 1);                                                  // Activate Crystal Oscillator reg7 bit15 =1, bit8=1 to preserve power-on value , set/reset = 'or'
	MOVLW       7
	MOVWF       FARG_FM_Write_reg+0 
	MOVLW       0
	MOVWF       FARG_FM_Write_value+0 
	MOVLW       129
	MOVWF       FARG_FM_Write_value+1 
	MOVLW       1
	MOVWF       FARG_FM_Write_set_reset+0 
	CALL        _FM_Write+0, 0
;FMclick.c,557 :: 		Delay_ms(500);
	MOVLW       6
	MOVWF       R11, 0
	MOVLW       19
	MOVWF       R12, 0
	MOVLW       173
	MOVWF       R13, 0
L_FMClick_Init113:
	DECFSZ      R13, 1, 1
	BRA         L_FMClick_Init113
	DECFSZ      R12, 1, 1
	BRA         L_FMClick_Init113
	DECFSZ      R11, 1, 1
	BRA         L_FMClick_Init113
	NOP
	NOP
;FMclick.c,558 :: 		}
L_end_FMClick_Init:
	RETURN      0
; end of _FMClick_Init

_init_RDS:

;FMclick.c,560 :: 		void init_RDS (unsigned char efface){
;FMclick.c,561 :: 		if (efface == 1){
	MOVF        FARG_init_RDS_efface+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L_init_RDS114
;FMclick.c,562 :: 		lcd_out(3,1,"                    ");                                      // clear time/date display
	MOVLW       3
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr16_FMclick+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr16_FMclick+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;FMclick.c,563 :: 		if(SelectD == 2){
	MOVF        _SelectD+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L_init_RDS115
;FMclick.c,564 :: 		lcd_out(2,1,"                    ");                                  // clear LCD line 2 if program type on display
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr17_FMclick+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr17_FMclick+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;FMclick.c,565 :: 		}
L_init_RDS115:
;FMclick.c,566 :: 		lcd_out(1,1,"        ");                                                  // clear radio name
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr18_FMclick+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr18_FMclick+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;FMclick.c,567 :: 		rds_pty = 0;
	CLRF        _rds_pty+0 
;FMclick.c,568 :: 		}
L_init_RDS114:
;FMclick.c,569 :: 		RDS_text[0] = 0;
	CLRF        _RDS_text+0 
;FMclick.c,570 :: 		for (index = 0; index <= 7 ; index++){
	CLRF        _index+0 
	CLRF        _index+1 
L_init_RDS116:
	MOVLW       0
	MOVWF       R0 
	MOVF        _index+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__init_RDS196
	MOVF        _index+0, 0 
	SUBLW       7
L__init_RDS196:
	BTFSS       STATUS+0, 0 
	GOTO        L_init_RDS117
;FMclick.c,571 :: 		RDS_text[index] = 0;
	MOVLW       _RDS_text+0
	ADDWF       _index+0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_RDS_text+0)
	ADDWFC      _index+1, 0 
	MOVWF       FSR1H 
	CLRF        POSTINC1+0 
;FMclick.c,570 :: 		for (index = 0; index <= 7 ; index++){
	INFSNZ      _index+0, 1 
	INCF        _index+1, 1 
;FMclick.c,572 :: 		}
	GOTO        L_init_RDS116
L_init_RDS117:
;FMclick.c,573 :: 		flag_RDS = 0;                                                               // No text to display
	CLRF        _flag_RDS+0 
;FMclick.c,574 :: 		flag_Clock = 0;                                                             // No time and date to display
	CLRF        _flag_Clock+0 
;FMclick.c,575 :: 		str_size = 0;                                                               // No charactere received
	CLRF        _str_size+0 
;FMclick.c,576 :: 		}
L_end_init_RDS:
	RETURN      0
; end of _init_RDS

_display_time:

;FMclick.c,578 :: 		void display_time (unsigned char col ){
;FMclick.c,579 :: 		if(SelectD == 1){                                                           // selection 1 displays time and date on line 2
	MOVF        _SelectD+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L_display_time119
;FMclick.c,580 :: 		Lcd_Chr(2,col,local_hour / 10   + 48);                                  // display hour on LCD
	MOVLW       2
	MOVWF       FARG_Lcd_Chr_row+0 
	MOVF        FARG_display_time_col+0, 0 
	MOVWF       FARG_Lcd_Chr_column+0 
	MOVLW       10
	MOVWF       R4 
	MOVF        _local_hour+0, 0 
	MOVWF       R0 
	CALL        _Div_8X8_U+0, 0
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       FARG_Lcd_Chr_out_char+0 
	CALL        _Lcd_Chr+0, 0
;FMclick.c,581 :: 		Lcd_Chr(2,col+1,(local_hour % 10)   + 48);
	MOVLW       2
	MOVWF       FARG_Lcd_Chr_row+0 
	MOVF        FARG_display_time_col+0, 0 
	ADDLW       1
	MOVWF       FARG_Lcd_Chr_column+0 
	MOVLW       10
	MOVWF       R4 
	MOVF        _local_hour+0, 0 
	MOVWF       R0 
	CALL        _Div_8X8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       FARG_Lcd_Chr_out_char+0 
	CALL        _Lcd_Chr+0, 0
;FMclick.c,582 :: 		Lcd_chr(2,col+2,':');
	MOVLW       2
	MOVWF       FARG_Lcd_Chr_row+0 
	MOVLW       2
	ADDWF       FARG_display_time_col+0, 0 
	MOVWF       FARG_Lcd_Chr_column+0 
	MOVLW       58
	MOVWF       FARG_Lcd_Chr_out_char+0 
	CALL        _Lcd_Chr+0, 0
;FMclick.c,583 :: 		Lcd_Chr(2,col+3,(local_minute / 10) + 48);
	MOVLW       2
	MOVWF       FARG_Lcd_Chr_row+0 
	MOVLW       3
	ADDWF       FARG_display_time_col+0, 0 
	MOVWF       FARG_Lcd_Chr_column+0 
	MOVLW       10
	MOVWF       R4 
	MOVF        _local_minute+0, 0 
	MOVWF       R0 
	CALL        _Div_8X8_U+0, 0
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       FARG_Lcd_Chr_out_char+0 
	CALL        _Lcd_Chr+0, 0
;FMclick.c,584 :: 		Lcd_Chr(2,col+4,(local_minute % 10) + 48);
	MOVLW       2
	MOVWF       FARG_Lcd_Chr_row+0 
	MOVLW       4
	ADDWF       FARG_display_time_col+0, 0 
	MOVWF       FARG_Lcd_Chr_column+0 
	MOVLW       10
	MOVWF       R4 
	MOVF        _local_minute+0, 0 
	MOVWF       R0 
	CALL        _Div_8X8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       FARG_Lcd_Chr_out_char+0 
	CALL        _Lcd_Chr+0, 0
;FMclick.c,585 :: 		Lcd_chr(2,col+5,' ');
	MOVLW       2
	MOVWF       FARG_Lcd_Chr_row+0 
	MOVLW       5
	ADDWF       FARG_display_time_col+0, 0 
	MOVWF       FARG_Lcd_Chr_column+0 
	MOVLW       32
	MOVWF       FARG_Lcd_Chr_out_char+0 
	CALL        _Lcd_Chr+0, 0
;FMclick.c,586 :: 		}
L_display_time119:
;FMclick.c,587 :: 		}
L_end_display_time:
	RETURN      0
; end of _display_time

_display_date:

;FMclick.c,589 :: 		void display_date (unsigned char col ){
;FMclick.c,590 :: 		if(SelectD == 1){                                                           // selection 1 displays time and date on line 2
	MOVF        _SelectD+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L_display_date120
;FMclick.c,591 :: 		Lcd_Chr(2,col, (local_day / 10)   + 48);                                // display date
	MOVLW       2
	MOVWF       FARG_Lcd_Chr_row+0 
	MOVF        FARG_display_date_col+0, 0 
	MOVWF       FARG_Lcd_Chr_column+0 
	MOVLW       10
	MOVWF       R4 
	MOVF        _local_day+0, 0 
	MOVWF       R0 
	CALL        _Div_8X8_U+0, 0
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       FARG_Lcd_Chr_out_char+0 
	CALL        _Lcd_Chr+0, 0
;FMclick.c,592 :: 		Lcd_Chr(2,col+1, (local_day % 10)   + 48);
	MOVLW       2
	MOVWF       FARG_Lcd_Chr_row+0 
	MOVF        FARG_display_date_col+0, 0 
	ADDLW       1
	MOVWF       FARG_Lcd_Chr_column+0 
	MOVLW       10
	MOVWF       R4 
	MOVF        _local_day+0, 0 
	MOVWF       R0 
	CALL        _Div_8X8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       FARG_Lcd_Chr_out_char+0 
	CALL        _Lcd_Chr+0, 0
;FMclick.c,593 :: 		Lcd_chr(2,col+2,'-');
	MOVLW       2
	MOVWF       FARG_Lcd_Chr_row+0 
	MOVLW       2
	ADDWF       FARG_display_date_col+0, 0 
	MOVWF       FARG_Lcd_Chr_column+0 
	MOVLW       45
	MOVWF       FARG_Lcd_Chr_out_char+0 
	CALL        _Lcd_Chr+0, 0
;FMclick.c,594 :: 		Lcd_Chr(2,col+3, (local_month / 10)   + 48);
	MOVLW       2
	MOVWF       FARG_Lcd_Chr_row+0 
	MOVLW       3
	ADDWF       FARG_display_date_col+0, 0 
	MOVWF       FARG_Lcd_Chr_column+0 
	MOVLW       10
	MOVWF       R4 
	MOVF        _local_month+0, 0 
	MOVWF       R0 
	CALL        _Div_8X8_U+0, 0
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       FARG_Lcd_Chr_out_char+0 
	CALL        _Lcd_Chr+0, 0
;FMclick.c,595 :: 		Lcd_Chr(2,col+4, (local_month % 10)   + 48);
	MOVLW       2
	MOVWF       FARG_Lcd_Chr_row+0 
	MOVLW       4
	ADDWF       FARG_display_date_col+0, 0 
	MOVWF       FARG_Lcd_Chr_column+0 
	MOVLW       10
	MOVWF       R4 
	MOVF        _local_month+0, 0 
	MOVWF       R0 
	CALL        _Div_8X8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       FARG_Lcd_Chr_out_char+0 
	CALL        _Lcd_Chr+0, 0
;FMclick.c,596 :: 		Lcd_out(2,col+5,"-20");
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       5
	ADDWF       FARG_display_date_col+0, 0 
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr19_FMclick+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr19_FMclick+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;FMclick.c,597 :: 		Lcd_Chr(2,col+8, (local_year / 10)  + 48);
	MOVLW       2
	MOVWF       FARG_Lcd_Chr_row+0 
	MOVLW       8
	ADDWF       FARG_display_date_col+0, 0 
	MOVWF       FARG_Lcd_Chr_column+0 
	MOVLW       10
	MOVWF       R4 
	MOVF        _local_year+0, 0 
	MOVWF       R0 
	CALL        _Div_8X8_U+0, 0
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       FARG_Lcd_Chr_out_char+0 
	CALL        _Lcd_Chr+0, 0
;FMclick.c,598 :: 		Lcd_Chr(2,col+9, (local_year % 10)  + 48);
	MOVLW       2
	MOVWF       FARG_Lcd_Chr_row+0 
	MOVLW       9
	ADDWF       FARG_display_date_col+0, 0 
	MOVWF       FARG_Lcd_Chr_column+0 
	MOVLW       10
	MOVWF       R4 
	MOVF        _local_year+0, 0 
	MOVWF       R0 
	CALL        _Div_8X8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       FARG_Lcd_Chr_out_char+0 
	CALL        _Lcd_Chr+0, 0
;FMclick.c,599 :: 		}
L_display_date120:
;FMclick.c,600 :: 		}
L_end_display_date:
	RETURN      0
; end of _display_date

_Clear_Info:

;FMclick.c,603 :: 		void Clear_Info(){
;FMclick.c,606 :: 		for(pos = 0; pos < 65 ; pos++){
	CLRF        R1 
L_Clear_Info121:
	MOVLW       65
	SUBWF       R1, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_Clear_Info122
;FMclick.c,607 :: 		info_text[pos] = ' ';
	MOVLW       _info_text+0
	MOVWF       FSR1 
	MOVLW       hi_addr(_info_text+0)
	MOVWF       FSR1H 
	MOVF        R1, 0 
	ADDWF       FSR1, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR1H, 1 
	MOVLW       32
	MOVWF       POSTINC1+0 
;FMclick.c,606 :: 		for(pos = 0; pos < 65 ; pos++){
	INCF        R1, 1 
;FMclick.c,608 :: 		}
	GOTO        L_Clear_Info121
L_Clear_Info122:
;FMclick.c,609 :: 		}
L_end_Clear_Info:
	RETURN      0
; end of _Clear_Info

_debounce:

;FMclick.c,612 :: 		void debounce(){
;FMclick.c,613 :: 		Delay_ms(100);
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       4
	MOVWF       R12, 0
	MOVLW       186
	MOVWF       R13, 0
L_debounce124:
	DECFSZ      R13, 1, 1
	BRA         L_debounce124
	DECFSZ      R12, 1, 1
	BRA         L_debounce124
	DECFSZ      R11, 1, 1
	BRA         L_debounce124
	NOP
;FMclick.c,614 :: 		}
L_end_debounce:
	RETURN      0
; end of _debounce

_main:

;FMclick.c,617 :: 		void main(){
;FMclick.c,619 :: 		PLLEN_bit = 0;                                                             // turn off PLL, since LCD will not work at 32MHz
	BCF         PLLEN_bit+0, BitPos(PLLEN_bit+0) 
;FMclick.c,621 :: 		ANSELA = 0;                                                                // Configure PORTB pins as digital
	CLRF        ANSELA+0 
;FMclick.c,622 :: 		ANSELB = 0;                                                                // Configure PORTB pins as digital
	CLRF        ANSELB+0 
;FMclick.c,623 :: 		ANSELC = 0;                                                                // Configure PORTB pins as digital
	CLRF        ANSELC+0 
;FMclick.c,624 :: 		ANSELD = 0;                                                                // Configure PORTB pins as digital
	CLRF        ANSELD+0 
;FMclick.c,625 :: 		ANSELE = 0;                                                                // Configure PORTB pins as digital
	CLRF        ANSELE+0 
;FMclick.c,626 :: 		SLRCON = 0;                                                                // All ports standard slew
	CLRF        SLRCON+0 
;FMclick.c,627 :: 		C1ON_bit = 0;                                                              // Disable comparators
	BCF         C1ON_bit+0, BitPos(C1ON_bit+0) 
;FMclick.c,628 :: 		C2ON_bit = 0;
	BCF         C2ON_bit+0, BitPos(C2ON_bit+0) 
;FMclick.c,629 :: 		TRISD = 0xff;                                                              // all inputs for buttons and switch selections
	MOVLW       255
	MOVWF       TRISD+0 
;FMclick.c,631 :: 		TRISA0_bit = 0;                                                            // Output : led test
	BCF         TRISA0_bit+0, BitPos(TRISA0_bit+0) 
;FMclick.c,632 :: 		LATA0_bit = 1;                                                             // Alimente LED
	BSF         LATA0_bit+0, BitPos(LATA0_bit+0) 
;FMclick.c,633 :: 		TRISA1_bit = 1;                                                            // Bouton selection menu
	BSF         TRISA1_bit+0, BitPos(TRISA1_bit+0) 
;FMclick.c,634 :: 		TRISA2_bit = 1;                                                            // GPIO2 input
	BSF         TRISA2_bit+0, BitPos(TRISA2_bit+0) 
;FMclick.c,636 :: 		TRISE1_bit = 0;                                                            // #RST
	BCF         TRISE1_bit+0, BitPos(TRISE1_bit+0) 
;FMclick.c,637 :: 		FM_RST = 0;                                                                // activate #RST to disable si4703 radio chip
	BCF         LATE1_bit+0, BitPos(LATE1_bit+0) 
;FMclick.c,638 :: 		Delay_ms(1);
	MOVLW       3
	MOVWF       R12, 0
	MOVLW       151
	MOVWF       R13, 0
L_main125:
	DECFSZ      R13, 1, 1
	BRA         L_main125
	DECFSZ      R12, 1, 1
	BRA         L_main125
	NOP
	NOP
;FMclick.c,639 :: 		TRISE0_bit = 0;                                                            // SEN
	BCF         TRISE0_bit+0, BitPos(TRISE0_bit+0) 
;FMclick.c,640 :: 		FM_SEN = 1;                                                                // = 1
	BSF         LATE0_bit+0, BitPos(LATE0_bit+0) 
;FMclick.c,641 :: 		Delay_ms(1);
	MOVLW       3
	MOVWF       R12, 0
	MOVLW       151
	MOVWF       R13, 0
L_main126:
	DECFSZ      R13, 1, 1
	BRA         L_main126
	DECFSZ      R12, 1, 1
	BRA         L_main126
	NOP
	NOP
;FMclick.c,642 :: 		TRISC4_bit = 0;                                                            // SDIO
	BCF         TRISC4_bit+0, BitPos(TRISC4_bit+0) 
;FMclick.c,643 :: 		FM_SDIO = 0;                                                               // 2 wires interface  (SDIO = 0 et SEN = 1 on rising edge of Reset)
	BCF         LATC4_bit+0, BitPos(LATC4_bit+0) 
;FMclick.c,644 :: 		Delay_ms(1);
	MOVLW       3
	MOVWF       R12, 0
	MOVLW       151
	MOVWF       R13, 0
L_main127:
	DECFSZ      R13, 1, 1
	BRA         L_main127
	DECFSZ      R12, 1, 1
	BRA         L_main127
	NOP
	NOP
;FMclick.c,645 :: 		TRISC3_bit = 0;                                                            // SCLK
	BCF         TRISC3_bit+0, BitPos(TRISC3_bit+0) 
;FMclick.c,646 :: 		FM_SCLK = 0;                                                               // Pas d'importance tant que Reset = 0
	BCF         LATC3_bit+0, BitPos(LATC3_bit+0) 
;FMclick.c,647 :: 		Delay_ms(1);
	MOVLW       3
	MOVWF       R12, 0
	MOVLW       151
	MOVWF       R13, 0
L_main128:
	DECFSZ      R13, 1, 1
	BRA         L_main128
	DECFSZ      R12, 1, 1
	BRA         L_main128
	NOP
	NOP
;FMclick.c,649 :: 		Delay_ms(200);                                                             // allow plenty of time for LCD to power up
	MOVLW       3
	MOVWF       R11, 0
	MOVLW       8
	MOVWF       R12, 0
	MOVLW       119
	MOVWF       R13, 0
L_main129:
	DECFSZ      R13, 1, 1
	BRA         L_main129
	DECFSZ      R12, 1, 1
	BRA         L_main129
	DECFSZ      R11, 1, 1
	BRA         L_main129
;FMclick.c,651 :: 		Lcd_Init();                                                                // Initialize Lcd
	CALL        _Lcd_Init+0, 0
;FMclick.c,652 :: 		Lcd_Cmd(_LCD_CLEAR);                                                       // Clear display
	MOVLW       1
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;FMclick.c,653 :: 		Lcd_Cmd(_LCD_CURSOR_OFF);                                                  // Cursor off
	MOVLW       12
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;FMclick.c,655 :: 		Lcd_out(1,1,"BOURDON FM Click");
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr20_FMclick+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr20_FMclick+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;FMclick.c,656 :: 		FMClick_Init();
	CALL        _FMClick_Init+0, 0
;FMclick.c,657 :: 		Lcd_out(1,1,"init.. ");
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr21_FMclick+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr21_FMclick+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;FMclick.c,658 :: 		FM_activate();
	CALL        _FM_Activate+0, 0
;FMclick.c,659 :: 		lcd_out(1,1,"    Wait Freq...");
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr22_FMclick+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr22_FMclick+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;FMclick.c,660 :: 		FM_Tune(1036);
	MOVLW       12
	MOVWF       FARG_FM_Tune_freq+0 
	MOVLW       4
	MOVWF       FARG_FM_Tune_freq+1 
	CALL        _FM_Tune+0, 0
;FMclick.c,661 :: 		lcd_out(1,1,"      Tuned !   ");
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr23_FMclick+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr23_FMclick+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;FMclick.c,663 :: 		SelectD = 0;                                                               // default line 2 information display
	CLRF        _SelectD+0 
;FMclick.c,664 :: 		old_SelectD = 0xff;
	MOVLW       255
	MOVWF       _old_SelectD+0 
;FMclick.c,665 :: 		volume = 2;                                                                // Default volume
	MOVLW       2
	MOVWF       _volume+0 
;FMclick.c,666 :: 		setVolume(volume);
	MOVLW       2
	MOVWF       FARG_SetVolume_vol+0 
	CALL        _SetVolume+0, 0
;FMclick.c,667 :: 		delay_ms(5);
	MOVLW       13
	MOVWF       R12, 0
	MOVLW       251
	MOVWF       R13, 0
L_main130:
	DECFSZ      R13, 1, 1
	BRA         L_main130
	DECFSZ      R12, 1, 1
	BRA         L_main130
	NOP
	NOP
;FMclick.c,669 :: 		delay_ms(2000);
	MOVLW       21
	MOVWF       R11, 0
	MOVLW       75
	MOVWF       R12, 0
	MOVLW       190
	MOVWF       R13, 0
L_main131:
	DECFSZ      R13, 1, 1
	BRA         L_main131
	DECFSZ      R12, 1, 1
	BRA         L_main131
	DECFSZ      R11, 1, 1
	BRA         L_main131
	NOP
;FMclick.c,670 :: 		lcd_cmd(_lcd_clear);
	MOVLW       1
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;FMclick.c,671 :: 		init_RDS(0);                                                               // Initialisation du RDS sans effacement des infos
	CLRF        FARG_init_RDS_efface+0 
	CALL        _init_RDS+0, 0
;FMclick.c,672 :: 		rds_pty = 0;
	CLRF        _rds_pty+0 
;FMclick.c,674 :: 		while(1){
L_main132:
;FMclick.c,676 :: 		if( !PORTD.B0){                                                        // low when button pressed
	BTFSC       PORTD+0, 0 
	GOTO        L_main134
;FMclick.c,677 :: 		init_RDS(1);                                                       // Chgt station donc init RDS et effacement des infos
	MOVLW       1
	MOVWF       FARG_init_RDS_efface+0 
	CALL        _init_RDS+0, 0
;FMclick.c,678 :: 		FM_Seek(1);                                                        // Seek up
	MOVLW       1
	MOVWF       FARG_FM_Seek_direction+0 
	CALL        _FM_Seek+0, 0
;FMclick.c,679 :: 		Debounce();                                                        // crude way to de-bounce
	CALL        _debounce+0, 0
;FMclick.c,680 :: 		}
L_main134:
;FMclick.c,682 :: 		if( !PORTD.B1){
	BTFSC       PORTD+0, 1 
	GOTO        L_main135
;FMclick.c,683 :: 		init_RDS(1);                                                       // Chgt station donc init RDS et effacement des infos
	MOVLW       1
	MOVWF       FARG_init_RDS_efface+0 
	CALL        _init_RDS+0, 0
;FMclick.c,684 :: 		FM_Seek(0);                                                        // Seek down
	CLRF        FARG_FM_Seek_direction+0 
	CALL        _FM_Seek+0, 0
;FMclick.c,685 :: 		Debounce();                                                        // crude way to de-bounce
	CALL        _debounce+0, 0
;FMclick.c,686 :: 		}
L_main135:
;FMclick.c,688 :: 		if( !PORTD.B2){                                                        // Volume up
	BTFSC       PORTD+0, 2 
	GOTO        L_main136
;FMclick.c,689 :: 		if( volume <15){
	MOVLW       15
	SUBWF       _volume+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_main137
;FMclick.c,690 :: 		volume = volume + 1;
	INCF        _volume+0, 1 
;FMclick.c,691 :: 		}
L_main137:
;FMclick.c,692 :: 		Setvolume(volume);
	MOVF        _volume+0, 0 
	MOVWF       FARG_SetVolume_vol+0 
	CALL        _SetVolume+0, 0
;FMclick.c,693 :: 		Debounce();                                                        // crude way to de-bounce
	CALL        _debounce+0, 0
;FMclick.c,694 :: 		}
L_main136:
;FMclick.c,696 :: 		if( !PORTD.B3){                                                        // volume down
	BTFSC       PORTD+0, 3 
	GOTO        L_main138
;FMclick.c,697 :: 		if( volume > 0){
	MOVF        _volume+0, 0 
	SUBLW       0
	BTFSC       STATUS+0, 0 
	GOTO        L_main139
;FMclick.c,698 :: 		volume = volume - 1;
	DECF        _volume+0, 1 
;FMclick.c,699 :: 		}
L_main139:
;FMclick.c,700 :: 		SetVolume(volume);
	MOVF        _volume+0, 0 
	MOVWF       FARG_SetVolume_vol+0 
	CALL        _SetVolume+0, 0
;FMclick.c,701 :: 		Debounce();                                                        // crude way to de-bounce
	CALL        _debounce+0, 0
;FMclick.c,702 :: 		}
L_main138:
;FMclick.c,704 :: 		if( !PORTD.B4){                                                        // display selection up
	BTFSC       PORTD+0, 4 
	GOTO        L_main140
;FMclick.c,705 :: 		SelectD++;
	INCF        _SelectD+0, 1 
;FMclick.c,706 :: 		Debounce();                                                        // crude way to de-bounce
	CALL        _debounce+0, 0
;FMclick.c,707 :: 		}
L_main140:
;FMclick.c,709 :: 		if( !PORTD.B5){                                                        // display selection down
	BTFSC       PORTD+0, 5 
	GOTO        L_main141
;FMclick.c,710 :: 		SelectD--;
	DECF        _SelectD+0, 1 
;FMclick.c,711 :: 		Debounce();                                                        // crude way to de-bounce
	CALL        _debounce+0, 0
;FMclick.c,712 :: 		}
L_main141:
;FMclick.c,714 :: 		Refresh_Freq_Rds_Rssi();
	CALL        _Refresh_Freq_Rds_Rssi+0, 0
;FMclick.c,715 :: 		display_fm();                                                          // Display : Freq + Stereo/mono + Rssi + volume
	CALL        _display_fm+0, 0
;FMclick.c,716 :: 		Rds_scan();
	CALL        _Rds_scan+0, 0
;FMclick.c,717 :: 		if( flag_RDS == 1){                                                    // On a bien reu 8 caractres et donc on affiche
	MOVF        _flag_RDS+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L_main142
;FMclick.c,718 :: 		lcd_out(1,1,RDS_text);
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       _RDS_text+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_RDS_text+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;FMclick.c,719 :: 		init_RDS(0);
	CLRF        FARG_init_RDS_efface+0 
	CALL        _init_RDS+0, 0
;FMclick.c,720 :: 		}
L_main142:
;FMclick.c,721 :: 		if(flag_Clock){
	MOVF        _flag_Clock+0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_main143
;FMclick.c,722 :: 		display_time(1);
	MOVLW       1
	MOVWF       FARG_display_time_col+0 
	CALL        _display_time+0, 0
;FMclick.c,723 :: 		display_date(7);
	MOVLW       7
	MOVWF       FARG_display_date_col+0 
	CALL        _display_date+0, 0
;FMclick.c,724 :: 		}
L_main143:
;FMclick.c,726 :: 		LATA0_bit = ~LATA0_bit;                                                // Toggle A0 to prove that program is still running
	BTG         LATA0_bit+0, BitPos(LATA0_bit+0) 
;FMclick.c,728 :: 		if(old_SelectD != SelectD){                                            // prevent making the same selection twice
	MOVF        _old_SelectD+0, 0 
	XORWF       _SelectD+0, 0 
	BTFSC       STATUS+0, 2 
	GOTO        L_main144
;FMclick.c,729 :: 		SelectD &= 0x0f;                                                   // limit to 16 options
	MOVLW       15
	ANDWF       _SelectD+0, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	MOVWF       _SelectD+0 
;FMclick.c,730 :: 		old_SelectD = SelectD;                                             // allow only one update per selection
	MOVF        R0, 0 
	MOVWF       _old_SelectD+0 
;FMclick.c,731 :: 		switch(SelectD){                                                   // line 2 information display selection
	GOTO        L_main145
;FMclick.c,732 :: 		case 0:{
L_main147:
;FMclick.c,733 :: 		LCD_Out(2,1,"Rssi:    Vol:   ");
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr24_FMclick+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr24_FMclick+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;FMclick.c,734 :: 		break;
	GOTO        L_main146
;FMclick.c,736 :: 		case 1:{
L_main148:
;FMclick.c,737 :: 		LCD_Out(2,1,"Time and Date...");
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr25_FMclick+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr25_FMclick+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;FMclick.c,738 :: 		break;
	GOTO        L_main146
;FMclick.c,740 :: 		case 2:{
L_main149:
;FMclick.c,741 :: 		LCD_Out(2,1,"Pty             ");
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr26_FMclick+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr26_FMclick+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;FMclick.c,742 :: 		break;
	GOTO        L_main146
;FMclick.c,744 :: 		case 3:{
L_main150:
;FMclick.c,745 :: 		LCD_Out(2,1," mod Julian days");
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr27_FMclick+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr27_FMclick+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;FMclick.c,746 :: 		break;
	GOTO        L_main146
;FMclick.c,748 :: 		case 4:{
L_main151:
;FMclick.c,749 :: 		LCD_Out(2,1,"country code    ");
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr28_FMclick+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr28_FMclick+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;FMclick.c,750 :: 		break;
	GOTO        L_main146
;FMclick.c,752 :: 		case 5:{
L_main152:
;FMclick.c,753 :: 		LCD_Out(2,1,"area coverage   ");
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr29_FMclick+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr29_FMclick+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;FMclick.c,754 :: 		break;
	GOTO        L_main146
;FMclick.c,756 :: 		case 6:{
L_main153:
;FMclick.c,757 :: 		LCD_Out(2,1,"Program ref     ");
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr30_FMclick+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr30_FMclick+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;FMclick.c,758 :: 		break;
	GOTO        L_main146
;FMclick.c,760 :: 		case 8:{
L_main154:
;FMclick.c,761 :: 		LCD_Out(2,1," Info text 0    ");
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr31_FMclick+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr31_FMclick+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;FMclick.c,762 :: 		Clear_Info();
	CALL        _Clear_Info+0, 0
;FMclick.c,763 :: 		break;
	GOTO        L_main146
;FMclick.c,765 :: 		case 9:{
L_main155:
;FMclick.c,766 :: 		LCD_Out(2,1," Info text 1    ");
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr32_FMclick+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr32_FMclick+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;FMclick.c,767 :: 		Clear_Info();
	CALL        _Clear_Info+0, 0
;FMclick.c,768 :: 		break;
	GOTO        L_main146
;FMclick.c,770 :: 		case 10:{
L_main156:
;FMclick.c,771 :: 		LCD_Out(2,1," Info text 2    ");
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr33_FMclick+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr33_FMclick+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;FMclick.c,772 :: 		Clear_Info();
	CALL        _Clear_Info+0, 0
;FMclick.c,773 :: 		break;
	GOTO        L_main146
;FMclick.c,775 :: 		case 11:{
L_main157:
;FMclick.c,776 :: 		LCD_Out(2,1," Info text 3    ");
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr34_FMclick+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr34_FMclick+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;FMclick.c,777 :: 		Clear_Info();
	CALL        _Clear_Info+0, 0
;FMclick.c,778 :: 		break;
	GOTO        L_main146
;FMclick.c,780 :: 		default:{
L_main158:
;FMclick.c,781 :: 		LCD_Out(2,1,"Version 290618b ");
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr35_FMclick+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr35_FMclick+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;FMclick.c,782 :: 		break;
	GOTO        L_main146
;FMclick.c,784 :: 		}
L_main145:
	MOVF        _SelectD+0, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L_main147
	MOVF        _SelectD+0, 0 
	XORLW       1
	BTFSC       STATUS+0, 2 
	GOTO        L_main148
	MOVF        _SelectD+0, 0 
	XORLW       2
	BTFSC       STATUS+0, 2 
	GOTO        L_main149
	MOVF        _SelectD+0, 0 
	XORLW       3
	BTFSC       STATUS+0, 2 
	GOTO        L_main150
	MOVF        _SelectD+0, 0 
	XORLW       4
	BTFSC       STATUS+0, 2 
	GOTO        L_main151
	MOVF        _SelectD+0, 0 
	XORLW       5
	BTFSC       STATUS+0, 2 
	GOTO        L_main152
	MOVF        _SelectD+0, 0 
	XORLW       6
	BTFSC       STATUS+0, 2 
	GOTO        L_main153
	MOVF        _SelectD+0, 0 
	XORLW       8
	BTFSC       STATUS+0, 2 
	GOTO        L_main154
	MOVF        _SelectD+0, 0 
	XORLW       9
	BTFSC       STATUS+0, 2 
	GOTO        L_main155
	MOVF        _SelectD+0, 0 
	XORLW       10
	BTFSC       STATUS+0, 2 
	GOTO        L_main156
	MOVF        _SelectD+0, 0 
	XORLW       11
	BTFSC       STATUS+0, 2 
	GOTO        L_main157
	GOTO        L_main158
L_main146:
;FMclick.c,785 :: 		}
L_main144:
;FMclick.c,786 :: 		}
	GOTO        L_main132
;FMclick.c,788 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
